Index: gnome.ent
===================================================================
--- gnome.ent	(revision 75c91abd09c6e41b7fec3b7f1ee41d655846c421)
+++ gnome.ent	(revision 8607733e4d725853dc15fc36785b915edc97f85f)
@@ -4,5 +4,5 @@
 <!-- Platform -->
 <!ENTITY polkit-gnome-version         "0.105">
-<!ENTITY gsettings-desktop-schemas-version "3.12.2">
+<!ENTITY gsettings-desktop-schemas-version "3.14.0">
 <!ENTITY yelp-xsl-version             "3.14.0">
 <!ENTITY GConf-version                "3.2.6">
@@ -16,9 +16,9 @@
 <!ENTITY gtksourceview-version        "3.14.0">
 <!ENTITY libgtop-version              "2.30.0">
-<!ENTITY libpeas-version              "1.10.1">
+<!ENTITY libpeas-version              "1.12.1">
 <!ENTITY libwnck-version              "3.4.9">
 <!ENTITY notification-daemon-version  "0.7.6">
-<!ENTITY totem-pl-parser-version      "3.10.2">
-<!ENTITY vte-version                  "0.36.3">
+<!ENTITY totem-pl-parser-version      "3.10.3">
+<!ENTITY vte-version                  "0.38.0">
 
 <!-- Runtime -->
Index: gnome/platform/gsettings-desktop-schemas.xml
===================================================================
--- gnome/platform/gsettings-desktop-schemas.xml	(revision 75c91abd09c6e41b7fec3b7f1ee41d655846c421)
+++ gnome/platform/gsettings-desktop-schemas.xml	(revision 8607733e4d725853dc15fc36785b915edc97f85f)
@@ -6,9 +6,9 @@
 
   <!ENTITY gsettings-desktop-schemas-download-http
-           "&gnome-download-http;/gsettings-desktop-schemas/&gnome-minor;/gsettings-desktop-schemas-&gsettings-desktop-schemas-version;.tar.xz">
+           "&gnome-download-http;/gsettings-desktop-schemas/&gnome-minor-14;/gsettings-desktop-schemas-&gsettings-desktop-schemas-version;.tar.xz">
   <!ENTITY gsettings-desktop-schemas-download-ftp
-           "&gnome-download-ftp;/gsettings-desktop-schemas/&gnome-minor;/gsettings-desktop-schemas-&gsettings-desktop-schemas-version;.tar.xz">
-  <!ENTITY gsettings-desktop-schemas-md5sum        "9f68571f20369a008d14b42a648568b5">
-  <!ENTITY gsettings-desktop-schemas-size          "472 KB">
+           "&gnome-download-ftp;/gsettings-desktop-schemas/&gnome-minor-14;/gsettings-desktop-schemas-&gsettings-desktop-schemas-version;.tar.xz">
+  <!ENTITY gsettings-desktop-schemas-md5sum        "14df59945fc9027b303ecfa75200a0c9">
+  <!ENTITY gsettings-desktop-schemas-size          "488 KB">
   <!ENTITY gsettings-desktop-schemas-buildsize     "13 MB">
   <!ENTITY gsettings-desktop-schemas-time          "less than 0.1 SBU">
Index: gnome/platform/libpeas.xml
===================================================================
--- gnome/platform/libpeas.xml	(revision 75c91abd09c6e41b7fec3b7f1ee41d655846c421)
+++ gnome/platform/libpeas.xml	(revision 8607733e4d725853dc15fc36785b915edc97f85f)
@@ -6,9 +6,9 @@
 
 <!-- 1.9 needs to be modified when version increases from 1.9.X -->
-  <!ENTITY libpeas-download-http "&gnome-download-http;/libpeas/1.10/libpeas-&libpeas-version;.tar.xz">
-  <!ENTITY libpeas-download-ftp  "&gnome-download-ftp;/libpeas/1.10/libpeas-&libpeas-version;.tar.xz">
-  <!ENTITY libpeas-md5sum        "62cda826762dd0ec9380f7af6637516a">
-  <!ENTITY libpeas-size          "504 KB">
-  <!ENTITY libpeas-buildsize     "16 MB (additional 6 MB for the tests)">
+  <!ENTITY libpeas-download-http "&gnome-download-http;/libpeas/1.12/libpeas-&libpeas-version;.tar.xz">
+  <!ENTITY libpeas-download-ftp  "&gnome-download-ftp;/libpeas/1.12/libpeas-&libpeas-version;.tar.xz">
+  <!ENTITY libpeas-md5sum        "2bd146e4cb2335843c6145f81e0a8d0e">
+  <!ENTITY libpeas-size          "512 KB">
+  <!ENTITY libpeas-buildsize     "16 MB">
   <!ENTITY libpeas-time          "0.3 SBU">
 ]>
Index: gnome/platform/totem-pl-parser.xml
===================================================================
--- gnome/platform/totem-pl-parser.xml	(revision 75c91abd09c6e41b7fec3b7f1ee41d655846c421)
+++ gnome/platform/totem-pl-parser.xml	(revision 8607733e4d725853dc15fc36785b915edc97f85f)
@@ -9,8 +9,8 @@
   <!ENTITY totem-pl-parser-download-ftp
    "&gnome-download-ftp;/totem-pl-parser/3.10/totem-pl-parser-&totem-pl-parser-version;.tar.xz">
-  <!ENTITY totem-pl-parser-md5sum        "554242a4e3e0864e825cdf0ea3720a6d">
+  <!ENTITY totem-pl-parser-md5sum        "e2c29a68f783e92bd2cb55c4d8916758">
   <!ENTITY totem-pl-parser-size          "1.6 MB">
-  <!ENTITY totem-pl-parser-buildsize     "10 MB (additional 3 MB for the tests)">
-  <!ENTITY totem-pl-parser-time          "0.2 SBU (additional 0.1-0.9 SBU for the tests)">
+  <!ENTITY totem-pl-parser-buildsize     "12 MB (additional 1 MB for the tests)">
+  <!ENTITY totem-pl-parser-time          "0.2 SBU (additional 0.6 SBU for the tests)">
 ]>
 
@@ -119,5 +119,4 @@
       To test the results, issue: <command>make check</command>. You will need
       an active internet connection in order to successfully complete all tests.
-      In a graphical section with gvfs running, test suite take much longer.
     </para>
 
Index: gnome/platform/vte.xml
===================================================================
--- gnome/platform/vte.xml	(revision 75c91abd09c6e41b7fec3b7f1ee41d655846c421)
+++ gnome/platform/vte.xml	(revision 8607733e4d725853dc15fc36785b915edc97f85f)
@@ -5,10 +5,13 @@
   %general-entities;
 
-  <!ENTITY vte-download-http "&gnome-download-http;/vte/0.36/vte-&vte-version;.tar.xz">
-  <!ENTITY vte-download-ftp  "&gnome-download-ftp;/vte/0.36/vte-&vte-version;.tar.xz">
-  <!ENTITY vte-md5sum        "3f9df4c9a67b09bf5c660bf5c3bae109">
-  <!ENTITY vte-size          "992 KB">
-  <!ENTITY vte-buildsize     "19 MB (additional 3 MB for the tests)">
-  <!ENTITY vte-time          "0.3 SBU (additional 0.1 SBU for the tests)">
+  <!ENTITY vte-download-http "&gnome-download-http;/vte/0.38/vte-&vte-version;.tar.xz">
+  <!ENTITY vte-download-ftp  "&gnome-download-ftp;/vte/0.38/vte-&vte-version;.tar.xz">
+  <!ENTITY vte-md5sum        "b3990d89afecc4bf44ab011b26d562c4">
+  <!ENTITY vte-size          "980 KB">
+  <!ENTITY vte-buildsize     "18 MB (additional 2 MB for the tests)">
+  <!ENTITY vte-time          "0.3 SBU (additional less than 0.1 SBU for the tests)">
+
+  <!-- For "Contents" and "Short Descriptions" sections -->
+  <!ENTITY vte-nano          "91">
 ]>
 
@@ -75,5 +78,6 @@
     <bridgehead renderas="sect4">Required</bridgehead>
     <para role="required">
-      <xref linkend="gtk3"/>
+      <xref linkend="gtk3"/> and
+      <xref linkend="libxml2"/>
     </para>
 
@@ -85,4 +89,5 @@
     <bridgehead renderas="sect4">Optional</bridgehead>
     <para role="optional">
+      <xref linkend="vala"/>,
       <ulink url="http://glade.gnome.org/">Glade</ulink> and
       <xref linkend="gtk-doc"/>
@@ -136,10 +141,4 @@
       href="../../xincludes/gtk-doc-rebuild.xml"/>
 
-    <para><option>--libexecdir=/usr/lib/vte-2.90</option>: This option
-    puts the package's private program into <filename
-    class="directory">/usr/lib/vte-2.90</filename> instead of <filename
-    class="directory">/usr/libexec</filename> in accordance with the old version
-    of the FHS used before LFS-7.5.</para>
-
   </sect2>
 
@@ -154,12 +153,12 @@
       <seglistitem>
         <seg>
-          vte2_90 and gnome-pty-helper
+          vte2_&vte-nano; and gnome-pty-helper
         </seg>
         <seg>
-          libvte2_90.so
+          libvte2_&vte-nano;.so
         </seg>
         <seg>
-          /usr/include/vte-2.90 and
-          /usr/share/gtk-doc/html/vte-2.90
+          /usr/include/vte-2.&vte-nano; and
+          /usr/share/gtk-doc/html/vte-2.&vte-nano;
         </seg>
       </seglistitem>
@@ -171,6 +170,6 @@
       <?dbhtml list-presentation="table"?>
 
-      <varlistentry id="vte2_90">
-        <term><command>vte2_90</command></term>
+      <varlistentry id="vte2_&vte-nano;">
+        <term><command>vte2_&vte-nano;</command></term>
         <listitem>
           <para>
@@ -178,12 +177,12 @@
             libraries.
           </para>
-          <indexterm zone="vte vte2_90">
-            <primary sortas="b-vte2_90">vte2_90</primary>
+          <indexterm zone="vte vte2_&vte-nano;">
+            <primary sortas="b-vte2_&vte-nano;">vte2_&vte-nano;</primary>
           </indexterm>
         </listitem>
       </varlistentry>
 
-      <varlistentry id="libvte2_90">
-        <term><filename class="libraryfile">libvte2_90.so</filename></term>
+      <varlistentry id="libvte2_&vte-nano;">
+        <term><filename class="libraryfile">libvte2_&vte-nano;.so</filename></term>
         <listitem>
           <para>
@@ -191,6 +190,6 @@
             widget for <application>GTK+ 3</application>.
           </para>
-          <indexterm zone="vte libvte2_90">
-            <primary sortas="c-libvte2_90">libvte2_90.so</primary>
+          <indexterm zone="vte libvte2_&vte-nano;">
+            <primary sortas="c-libvte2_&vte-nano;">libvte2_&vte-nano;.so</primary>
           </indexterm>
         </listitem>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 75c91abd09c6e41b7fec3b7f1ee41d655846c421)
+++ introduction/welcome/changelog.xml	(revision 8607733e4d725853dc15fc36785b915edc97f85f)
@@ -49,4 +49,21 @@
       <itemizedlist>
         <listitem>
+          <para>[fernando] - Update to vte-0.38.0.  Partially fixes
+          <ulink url="&blfs-ticket-root;5554">#5554</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[fernando] - Update to totem-pl-parser-3.10.3.  Partially fixes
+          <ulink url="&blfs-ticket-root;5554">#5554</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[fernando] - Update to libpeas-1.12.1.  Partially fixes
+          <ulink url="&blfs-ticket-root;5554">#5554</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[fernando] - Update to gsettings-desktop-schemas-3.14.0.
+          Partially fixes
+          <ulink url="&blfs-ticket-root;5554">#5554</ulink>.</para>
+        </listitem>
+        <listitem>
           <para>[fernando] - Update to gnome-desktop-3.14.0.  Partially fixes
           <ulink url="&blfs-ticket-root;5554">#5554</ulink>.</para>