Index: general/genlib/json-glib.xml
===================================================================
--- general/genlib/json-glib.xml	(revision 00ff1df65b50e420f37dd4d6bbb33ac90f7533f2)
+++ general/genlib/json-glib.xml	(revision 8615350d197d12ec926d3ef015f9b3330bb92015)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs79_checked;
+    &lfs79_checked;&gcc6_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/genlib/libdaemon.xml
===================================================================
--- general/genlib/libdaemon.xml	(revision 00ff1df65b50e420f37dd4d6bbb33ac90f7533f2)
+++ general/genlib/libdaemon.xml	(revision 8615350d197d12ec926d3ef015f9b3330bb92015)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs79_checked;
+    &lfs79_checked;&gcc6_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/graphlib/ijs.xml
===================================================================
--- general/graphlib/ijs.xml	(revision 00ff1df65b50e420f37dd4d6bbb33ac90f7533f2)
+++ general/graphlib/ijs.xml	(revision 8615350d197d12ec926d3ef015f9b3330bb92015)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs79_checked;
+    &lfs79_checked;&gcc6_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/prog/dbus-python.xml
===================================================================
--- general/prog/dbus-python.xml	(revision 00ff1df65b50e420f37dd4d6bbb33ac90f7533f2)
+++ general/prog/dbus-python.xml	(revision 8615350d197d12ec926d3ef015f9b3330bb92015)
@@ -30,5 +30,5 @@
       </para>
 
-      &lfs79_checked;
+      &lfs79_checked;&gcc6_checked;
 
       <bridgehead renderas="sect4">Package Information</bridgehead>
Index: gnome.ent
===================================================================
--- gnome.ent	(revision 00ff1df65b50e420f37dd4d6bbb33ac90f7533f2)
+++ gnome.ent	(revision 8615350d197d12ec926d3ef015f9b3330bb92015)
@@ -26,4 +26,5 @@
 <!ENTITY libwnck-version              "3.20.0">
 <!ENTITY notification-daemon-version  "3.20.0">
+<!ENTITY rest-version                 "0.8.0">
 <!ENTITY totem-pl-parser-version      "3.10.6">
 <!ENTITY vte-version                  "0.44.2">
Index: gnome/applications/applications.xml
===================================================================
--- gnome/applications/applications.xml	(revision 00ff1df65b50e420f37dd4d6bbb33ac90f7533f2)
+++ gnome/applications/applications.xml	(revision 8615350d197d12ec926d3ef015f9b3330bb92015)
@@ -14,6 +14,5 @@
   <?dbhtml filename="applications.html"?>
 
-  <title><phrase revision="sysv">GNOME Applications</phrase>
-         <phrase revision="systemd">Gnome Desktop and Applications</phrase></title>
+  <title><phrase>GNOME Applications</phrase></title>
 
   <para>
@@ -23,6 +22,7 @@
   </para>
 
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="dummy-desktop.xml"/>
+<!--
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="dummy-apps.xml"/>
+-->
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="baobab.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="brasero.xml"/>
Index: ome/applications/dummy-desktop.xml
===================================================================
--- gnome/applications/dummy-desktop.xml	(revision 00ff1df65b50e420f37dd4d6bbb33ac90f7533f2)
+++ 	(revision )
@@ -1,15 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
-   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd">
-
-<sect1 role="dummy" revision="systemd">
-
-  <sect1info>
-    <othername>$LastChangedBy$</othername>
-    <date>$Date$</date>
-  </sect1info>
-
-  <title>Gnome Desktop Componets</title>
-  <para/>
-</sect1>
-
Index: gnome/gnome.xml
===================================================================
--- gnome/gnome.xml	(revision 00ff1df65b50e420f37dd4d6bbb33ac90f7533f2)
+++ gnome/gnome.xml	(revision 8615350d197d12ec926d3ef015f9b3330bb92015)
@@ -15,5 +15,5 @@
 
   <title><phrase revision="sysv">Selected GNOME Applications</phrase>
-         <phrase revision="systemd">Gnome</phrase></title>
+         <phrase revision="systemd">GNOME</phrase></title>
 
 <!--  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="gnome-intro.xml"/> -->
Index: gnome/platform/dummy-desktop.xml
===================================================================
--- gnome/platform/dummy-desktop.xml	(revision 8615350d197d12ec926d3ef015f9b3330bb92015)
+++ gnome/platform/dummy-desktop.xml	(revision 8615350d197d12ec926d3ef015f9b3330bb92015)
@@ -0,0 +1,15 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd">
+
+<sect1 role="dummy" revision="systemd">
+
+  <sect1info>
+    <othername>$LastChangedBy$</othername>
+    <date>$Date$</date>
+  </sect1info>
+
+  <title>GNOME Desktop Components</title>
+  <para/>
+</sect1>
+
Index: gnome/platform/platform.xml
===================================================================
--- gnome/platform/platform.xml	(revision 00ff1df65b50e420f37dd4d6bbb33ac90f7533f2)
+++ gnome/platform/platform.xml	(revision 8615350d197d12ec926d3ef015f9b3330bb92015)
@@ -14,5 +14,6 @@
   <?dbhtml filename="core.html"?>
 
-  <title>GNOME Libraries and Utilities</title>
+  <title revision="sysv">GNOME Libraries and Utilities</title>
+  <title revision="systemd">GNOME Libraries and Desktop</title>
 
   <para>
@@ -47,4 +48,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="libpeas.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="libwnck.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="rest.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="totem-pl-parser.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="vte.xml"/>
@@ -62,4 +64,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="yelp.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="dummy-tel.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="dummy-desktop.xml"/>
 
 </chapter>
Index: gnome/platform/rest.xml
===================================================================
--- gnome/platform/rest.xml	(revision 8615350d197d12ec926d3ef015f9b3330bb92015)
+++ gnome/platform/rest.xml	(revision 8615350d197d12ec926d3ef015f9b3330bb92015)
@@ -0,0 +1,177 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY rest-download-http "&gnome-download-http;/rest/0.8/rest-&rest-version;.tar.xz">
+  <!ENTITY rest-download-ftp  "&gnome-download-ftp;/rest/0.8/rest-&rest-version;.tar.xz">
+  <!ENTITY rest-md5sum        "07ae736561aab03ee9bdd451445926ba">
+  <!ENTITY rest-size          "328 KB">
+  <!ENTITY rest-buildsize     "14 MB (with tests)">
+  <!ENTITY rest-time          "0.4 SBU (with tests)">
+]>
+
+<sect1 id="rest" xreflabel="rest-&rest-version;" revision="systemd">
+  <?dbhtml filename="rest.html"?>
+
+  <sect1info>
+    <othername>$LastChangedBy$</othername>
+    <date>$Date$</date>
+  </sect1info>
+
+  <title>rest-&rest-version;</title>
+
+  <indexterm zone="rest">
+    <primary sortas="a-rest">rest</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title>Introduction to rest</title>
+
+    <para>
+      The <application>rest</application> package contains a library
+      that was designed to make it easier to access web services that
+      claim to be "RESTful". It includes convenience wrappers for
+      libsoup and libxml to ease remote use of the RESTful API.
+    </para>
+
+    &lfs79_checked;&gcc6_checked;
+
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>
+          Download (HTTP): <ulink url="&rest-download-http;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download (FTP): <ulink url="&rest-download-ftp;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download MD5 sum: &rest-md5sum;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download size: &rest-size;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated disk space required: &rest-buildsize;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated build time: &rest-time;
+        </para>
+      </listitem>
+    </itemizedlist>
+
+    <bridgehead renderas="sect3">rest Dependencies</bridgehead>
+
+    <bridgehead renderas="sect4">Required</bridgehead>
+    <para role="required">
+      <xref linkend="cacerts"/> and
+      <xref linkend="libsoup"/>
+    </para>
+
+    <bridgehead renderas="sect4">Recommended</bridgehead>
+    <para role="recommended">
+      <xref linkend="gobject-introspection"/>
+    </para>
+
+    <bridgehead renderas="sect4">Optional</bridgehead>
+    <para role="optional">
+      <xref linkend="gtk-doc"/>
+    </para>
+
+    <para condition="html" role="usernotes">User Notes:
+      <ulink url="&blfs-wiki;/rest"/>
+    </para>
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of rest</title>
+
+    <para>
+      Install <application>rest</application> by running the following
+      commands:
+    </para>
+
+<screen><userinput>./configure --prefix=/usr &amp;&amp;
+make</userinput></screen>
+
+    <para>
+      To test the results, issue: <command>make check</command>. Note that one
+      test fails for unknown reasons.
+    </para>
+
+    <para>
+      Now, as the <systemitem class="username">root</systemitem> user:
+    </para>
+
+<screen role="root"><userinput>make install</userinput></screen>
+
+  </sect2>
+
+  <sect2 role="content">
+    <title>Contents</title>
+
+    <segmentedlist>
+      <segtitle>Installed Programs</segtitle>
+      <segtitle>Installed Libraries</segtitle>
+      <segtitle>Installed Directories</segtitle>
+
+      <seglistitem>
+        <seg>
+          None
+        </seg>
+        <seg>
+          librest-0.7.so and librest-extras-0.7.so
+        </seg>
+        <seg>
+          /usr/include/rest-0.7 and
+          /usr/share/gtk-doc/html/rest-0.7
+        </seg>
+      </seglistitem>
+    </segmentedlist>
+
+    <variablelist>
+      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+      <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
+
+      <varlistentry id="librest-0.7">
+        <term><filename class="libraryfile">librest-0.7.so</filename></term>
+        <listitem>
+          <para>
+            contains the RESTful Web API Query functions.
+          </para>
+          <indexterm zone="rest librest-0.7">
+            <primary sortas="c-librest-0.7">librest-0.7.so</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="librest-extras-0.7">
+        <term><filename class="libraryfile">librest-extras-0.7.so</filename></term>
+        <listitem>
+          <para>
+            contains extra RESTful Web API Query functions.
+          </para>
+          <indexterm zone="rest librest-extras-0.7">
+            <primary sortas="c-librest-extras-0.7">librest-extras-0.7.so</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+    </variablelist>
+
+  </sect2>
+
+</sect1>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 00ff1df65b50e420f37dd4d6bbb33ac90f7533f2)
+++ introduction/welcome/changelog.xml	(revision 8615350d197d12ec926d3ef015f9b3330bb92015)
@@ -47,4 +47,11 @@
       <para>June 30th, 2016</para>
       <itemizedlist>
+        <listitem>
+          <para>[renodr] - Update to GTK+-3.20.6. Fixes
+          <ulink url="&blfs-ticket-root;7869">#7869</ulink>.</para>
+        </listitem>
+        <listitem revision="systemd">
+          <para>[renodr] - Moved rest to from systemd to trunk.</para>
+        </listitem>
         <listitem>
           <para>[pierre] - Update to python-2.7.12. Fixes
Index: networking/netutils/avahi.xml
===================================================================
--- networking/netutils/avahi.xml	(revision 00ff1df65b50e420f37dd4d6bbb33ac90f7533f2)
+++ networking/netutils/avahi.xml	(revision 8615350d197d12ec926d3ef015f9b3330bb92015)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs79_checked;
+    &lfs79_checked;&gcc6_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: packages.ent
===================================================================
--- packages.ent	(revision 00ff1df65b50e420f37dd4d6bbb33ac90f7533f2)
+++ packages.ent	(revision 8615350d197d12ec926d3ef015f9b3330bb92015)
@@ -515,5 +515,5 @@
 <!ENTITY goffice010-version           "0.10.30">
 <!ENTITY gtk2-version                 "2.24.30">
-<!ENTITY gtk3-version                 "3.20.4">
+<!ENTITY gtk3-version                 "3.20.6">
 <!ENTITY gtk-engines-version          "2.20.2">
 <!ENTITY gtkmm2-version               "2.24.4">
Index: x/lib/gtk+3.xml
===================================================================
--- x/lib/gtk+3.xml	(revision 00ff1df65b50e420f37dd4d6bbb33ac90f7533f2)
+++ x/lib/gtk+3.xml	(revision 8615350d197d12ec926d3ef015f9b3330bb92015)
@@ -7,8 +7,8 @@
   <!ENTITY gtk3-download-http "&gnome-download-http;/gtk+/&gnome-minor-20;/gtk+-&gtk3-version;.tar.xz">
   <!ENTITY gtk3-download-ftp  "&gnome-download-ftp;/gtk+/&gnome-minor-20;/gtk+-&gtk3-version;.tar.xz">
-  <!ENTITY gtk3-md5sum        "0cceee599f2910c25bf4b9dde4ab2fb6">
-  <!ENTITY gtk3-size          "16.4 MB">
-  <!ENTITY gtk3-buildsize     "422 MB (plus 9 MB for tests)">
-  <!ENTITY gtk3-time          "6.3 SBU (plus 0.5 SBU for tests)">
+  <!ENTITY gtk3-md5sum        "914e55ea053161f4a575c1c8dade7954">
+  <!ENTITY gtk3-size          "16 MB">
+  <!ENTITY gtk3-buildsize     "547 MB (plus 9 MB for tests)">
+  <!ENTITY gtk3-time          "6.2 SBU (plus 0.9 SBU for tests)">
 ]>
 
@@ -95,5 +95,5 @@
 
     <bridgehead renderas="sect4">Optional</bridgehead>
-    <para role="optional">
+    <para role="optional" revision="sysv">
       <xref linkend="colord"/>,
       <xref linkend="cups"/>,
@@ -102,6 +102,17 @@
       <xref linkend="json-glib"/>,
       <xref linkend="libxkbcommon"/>,
-      <ulink url="http://ftp.acc.umu.se/pub/gnome/sources/rest/">rest</ulink>, and
-      <xref linkend="wayland"/>
+      <xref linkend="wayland"/>, and
+      <ulink url="http://ftp.acc.umu.se/pub/gnome/sources/rest/">rest</ulink>
+    </para>
+    <para role="optional" revision="systemd">
+      <xref linkend="colord"/>,
+      <xref linkend="cups"/>, 
+      <xref linkend="docbook-utils"/>,
+      <xref linkend="gtk-doc"/>,
+      <xref linkend="json-glib"/>,
+      <xref linkend="libxkbcommon"/>,
+      <xref linkend="rest"/>,
+      <xref linkend="wayland"/>, and
+      <xref linkend="wayland-protocols"/>
     </para>
 
@@ -282,10 +293,10 @@
           gtk-encode-symbolic-svg,
           gtk-launch,
-          gtk-query-immodules-3.0, and
+          gtk-query-immodules-3.0, 
+          gtk-query-settings, and
           gtk-update-icon-cache
         </seg>
         <seg>
           libgailutil-3.so, libgdk-3.so, and libgtk-3.so
-
         </seg>
         <seg>
@@ -400,6 +411,6 @@
           <para>
             launches an application using the given name. The name should match
-            application desktop file name, as residing in
-            <filename class="directory">/usr/share/application</filename>, with
+            the application desktop file name, as residing in
+            <filename class="directory">/usr/share/applications</filename>, with
             or without the '.desktop' suffix.
           </para>
@@ -424,4 +435,17 @@
       </varlistentry>
 
+      <varlistentry id="gtk-query-settings">
+        <term><command>gtk-query-settings</command></term>
+        <listitem>
+          <para>
+            provides a complete listing of all settings related to 
+            <application>GTK+ 3</application>
+          </para>
+          <indexterm zone="gtk3 gtk-query-settings">
+            <primary sortas="b-gtk-query-settings">gtk-query-settings</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
       <varlistentry id="gtk-update-icon-cache3">
         <term><command>gtk-update-icon-cache</command></term>