Index: general/sysutils/dbus.xml
===================================================================
--- general/sysutils/dbus.xml	(revision ed3382e9a124979a7d32df38f8ff3eb57d24fc08)
+++ general/sysutils/dbus.xml	(revision 8630358e424a168aaaf6af74cde9b014ded71f9d)
@@ -7,5 +7,5 @@
   <!ENTITY dbus-download-http "https://dbus.freedesktop.org/releases/dbus/dbus-&dbus-version;.tar.gz">
   <!ENTITY dbus-download-ftp  " ">
-  <!ENTITY dbus-md5sum        "89745b5a6c45c26751dcf673d912f745">
+  <!ENTITY dbus-md5sum        "32a607e47b82ab11702355bf02502f20">
   <!ENTITY dbus-size          "2.0 MB">
   <!ENTITY dbus-buildsize     "19 MB (add 25 MB for the tests)">
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision ed3382e9a124979a7d32df38f8ff3eb57d24fc08)
+++ introduction/welcome/changelog.xml	(revision 8630358e424a168aaaf6af74cde9b014ded71f9d)
@@ -45,4 +45,16 @@
       <para>March 5th, 2019</para>
       <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to dbus-1.12.6. Fixes
+          <ulink url="&blfs-ticket-root;10454">#10454</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to phonon-backend-vlc-0.10.1. Fixes
+          <ulink url="&blfs-ticket-root;10444">#10444</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to vlc-3.0.1. Fixes
+          <ulink url="&blfs-ticket-root;10445">#10445</ulink>.</para>
+        </listitem>
         <listitem>
           <para>[bdubbs] - Update to iceauth-1.0.8 (xorg app). Fixes
Index: kde/phonon-backend-vlc.xml
===================================================================
--- kde/phonon-backend-vlc.xml	(revision ed3382e9a124979a7d32df38f8ff3eb57d24fc08)
+++ kde/phonon-backend-vlc.xml	(revision 8630358e424a168aaaf6af74cde9b014ded71f9d)
@@ -7,5 +7,5 @@
   <!ENTITY phonon-backend-vlc-download-http "&kde-download-http;phonon/phonon-backend-vlc/&phonon-backend-vlc-version;/phonon-backend-vlc-&phonon-backend-vlc-version;.tar.xz">
   <!ENTITY phonon-backend-vlc-download-ftp  " ">
-  <!ENTITY phonon-backend-vlc-md5sum        "38effb8bf8344ed3d3e72a7f1bf998c6">
+  <!ENTITY phonon-backend-vlc-md5sum        "d506a519e931b5fd22045336eee9c0fb">
   <!ENTITY phonon-backend-vlc-size          "60 KB">
   <!ENTITY phonon-backend-vlc-buildsize     "2.9 MB">
Index: multimedia/videoutils/vlc.xml
===================================================================
--- multimedia/videoutils/vlc.xml	(revision ed3382e9a124979a7d32df38f8ff3eb57d24fc08)
+++ multimedia/videoutils/vlc.xml	(revision 8630358e424a168aaaf6af74cde9b014ded71f9d)
@@ -7,8 +7,8 @@
   <!ENTITY vlc-download-http "https://download.videolan.org/vlc/&vlc-version;/vlc-&vlc-version;.tar.xz">
   <!ENTITY vlc-download-ftp  " ">
-  <!ENTITY vlc-md5sum        "a953d8b90e56f06828c4ca8e390c5c9b">
+  <!ENTITY vlc-md5sum        "32292f9fc6eab0b00432cdd574fc9eae">
   <!ENTITY vlc-size          "24 MB">
-  <!ENTITY vlc-buildsize     "615 MB (add 12 MB for tests)">
-  <!ENTITY vlc-time          "2.0 SBU (using parallelism=4; add 0.2 SBU for tests)">
+  <!ENTITY vlc-buildsize     "539 MB (add 6 MB for tests)">
+  <!ENTITY vlc-time          "2.0 SBU (using parallelism=4; add 0.3 SBU for tests)">
 ]>
 
@@ -101,5 +101,5 @@
       <xref linkend="libdvdread"/>,
       <xref linkend="libdvdnav"/>,
-      <xref linkend="opencv"/>,
+      <xref linkend="opencv"/> (currently broken),
       <xref linkend="samba"/>,
       <xref linkend="v4l-utils"/>,
@@ -211,8 +211,8 @@
     </para>
 
-<screen><userinput>sed -i '/luaL_checkint(/s/checkint/checkinteger/' modules/lua/{demux,libs/*}.c &amp;&amp;
-sed -i '/DEPRECATED/s:^://:'  modules/text_renderer/freetype/text_layout.c     &amp;&amp;
-
-BUILDCC=gcc ./configure --prefix=/usr &amp;&amp;
+    <screen><userinput>sed -i '/vlc_demux.h/a #define LUA_COMPAT_APIINTCASTS' modules/lua/vlc.h   &amp;&amp;
+sed -i '/DEPRECATED/s:^://:'  modules/text_renderer/freetype/text_layout.c &amp;&amp;
+
+BUILDCC=gcc ./configure --prefix=/usr --disable-opencv &amp;&amp;
 
 make</userinput></screen>
@@ -253,4 +253,10 @@
       <command>sed ... text_layout.c</command>: This command allows
       building with the current version of <xref linkend="freetype2"/>.
+    </para>
+
+    <para>
+      <option>--disable-opencv</option>: This swithc i srequired to disable
+      <application>opencv</application> which is not compatible with this 
+      version of <application>vlc</application>.
     </para>
 
Index: packages.ent
===================================================================
--- packages.ent	(revision ed3382e9a124979a7d32df38f8ff3eb57d24fc08)
+++ packages.ent	(revision 8630358e424a168aaaf6af74cde9b014ded71f9d)
@@ -267,5 +267,5 @@
 <!ENTITY cpio-version                 "2.12">
 <!ENTITY cups-pk-helper-version       "0.2.6">
-<!ENTITY dbus-version                 "1.12.4">   <!-- Even minors only -->
+<!ENTITY dbus-version                 "1.12.6">   <!-- Even minors only -->
 <!ENTITY eudev-version                "1.7">
 <!ENTITY fcron-version                "3.2.0">
@@ -606,5 +606,5 @@
 <!ENTITY phonon-version               "4.10.0">
 <!ENTITY phonon-backend-gstreamer-version "4.9.0">
-<!ENTITY phonon-backend-vlc-version   "0.10.0">
+<!ENTITY phonon-backend-vlc-version   "0.10.1">
 <!ENTITY polkit-qt-version            "0.112.0">
 <!ENTITY polkit-kde-agent-version     "0.99.0">
@@ -849,5 +849,5 @@
 <!ENTITY xine-ui-version              "0.99.10">
 <!ENTITY transcode-version            "1.1.7">
-<!ENTITY vlc-version                  "3.0.0">
+<!ENTITY vlc-version                  "3.0.1">
 
 <!-- Chapter 49 -->