Index: general/genutils/desktop-file-utils.xml
===================================================================
--- general/genutils/desktop-file-utils.xml	(revision 7768dfc9de4f593adb69b3ecca6b09fc08f065dd)
+++ general/genutils/desktop-file-utils.xml	(revision 9318937b6db19810af2474114d668c32294bb67e)
@@ -8,7 +8,7 @@
            "http://freedesktop.org/software/desktop-file-utils/releases/desktop-file-utils-&desktop-file-utils-version;.tar.xz">
   <!ENTITY desktop-file-utils-download-ftp  " ">
-  <!ENTITY desktop-file-utils-md5sum        "c6b9f9aac1ea143091178c23437e6cd0">
-  <!ENTITY desktop-file-utils-size          "128 KB">
-  <!ENTITY desktop-file-utils-buildsize     "2.3 MB">
+  <!ENTITY desktop-file-utils-md5sum        "599133d51cc9a41bfec186414906b6f1">
+  <!ENTITY desktop-file-utils-size          "132 KB">
+  <!ENTITY desktop-file-utils-buildsize     "1.9 MB">
   <!ENTITY desktop-file-utils-time          "less than 0.1 SBU">
 ]>
Index: gnome.ent
===================================================================
--- gnome.ent	(revision 7768dfc9de4f593adb69b3ecca6b09fc08f065dd)
+++ gnome.ent	(revision 9318937b6db19810af2474114d668c32294bb67e)
@@ -24,5 +24,5 @@
 <!ENTITY libgtop-version              "2.34.0">
 <!ENTITY libpeas-version              "1.18.0">
-<!ENTITY libwnck-version              "3.14.1">
+<!ENTITY libwnck-version              "3.20.0">
 <!ENTITY notification-daemon-version  "3.20.0">
 <!ENTITY totem-pl-parser-version      "3.10.6">
Index: gnome/platform/libwnck.xml
===================================================================
--- gnome/platform/libwnck.xml	(revision 7768dfc9de4f593adb69b3ecca6b09fc08f065dd)
+++ gnome/platform/libwnck.xml	(revision 9318937b6db19810af2474114d668c32294bb67e)
@@ -5,9 +5,9 @@
   %general-entities;
 
-  <!ENTITY libwnck-download-http "&gnome-download-http;/libwnck/&gnome-minor-14;/libwnck-&libwnck-version;.tar.xz">
-  <!ENTITY libwnck-download-ftp  "&gnome-download-ftp;/libwnck/&gnome-minor-14;/libwnck-&libwnck-version;.tar.xz">
-  <!ENTITY libwnck-md5sum        "d96c0b74c4dc5fdae758964098603c90">
-  <!ENTITY libwnck-size          "668 KB">
-  <!ENTITY libwnck-buildsize     "20 MB">
+  <!ENTITY libwnck-download-http "&gnome-download-http;/libwnck/&gnome-minor-20;/libwnck-&libwnck-version;.tar.xz">
+  <!ENTITY libwnck-download-ftp  "&gnome-download-ftp;/libwnck/&gnome-minor-20;/libwnck-&libwnck-version;.tar.xz">
+  <!ENTITY libwnck-md5sum        "6c32c3f22880582eda255aa2c217b5f6">
+  <!ENTITY libwnck-size          "680 KB">
+  <!ENTITY libwnck-buildsize     "15.3 MB">
   <!ENTITY libwnck-time          "0.2 SBU">
 ]>
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs79_checked;
+    &lfs79_checked;&gcc6_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 7768dfc9de4f593adb69b3ecca6b09fc08f065dd)
+++ introduction/welcome/changelog.xml	(revision 9318937b6db19810af2474114d668c32294bb67e)
@@ -47,4 +47,29 @@
       <para>June 22nd, 2016</para>
       <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to pidgin-2.11.0. Fixes
+          <ulink url="&blfs-ticket-root;7989">#7989</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to libwnch-3.20.0. Fixes
+          <ulink url="&blfs-ticket-root;7988">#7988</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to desktop-file-utils-0.23. Fixes
+          <ulink url="&blfs-ticket-root;7970">#7979</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to gnumeric-1.12.30. Fixes
+          <ulink url="&blfs-ticket-root;7976">#7976</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to simpleburn-1.8.0. Required
+          additions of libcddb. Fixes
+          <ulink url="&blfs-ticket-root;7974">#7974</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to goffice-0.10.30. Fixes
+          <ulink url="&blfs-ticket-root;7971">#7971</ulink>.</para>
+        </listitem>
         <listitem>
           <para>[bdubbs] - Update to libvdpau-va-gl-0.4.0. Fixes
Index: multimedia/cdwriteutils/simpleburn.xml
===================================================================
--- multimedia/cdwriteutils/simpleburn.xml	(revision 7768dfc9de4f593adb69b3ecca6b09fc08f065dd)
+++ multimedia/cdwriteutils/simpleburn.xml	(revision 9318937b6db19810af2474114d668c32294bb67e)
@@ -7,7 +7,7 @@
   <!ENTITY simpleburn-download-http "http://simpleburn.tuxfamily.org/IMG/gz/simpleburn-&simpleburn-version;.tar.gz">
   <!ENTITY simpleburn-download-ftp  " ">
-  <!ENTITY simpleburn-md5sum        "5176865020440b2c3eadab76435f6833">
+  <!ENTITY simpleburn-md5sum        "86bdb6f58d3694a933e4a139cc8c0cb2">
   <!ENTITY simpleburn-size          "48 KB">
-  <!ENTITY simpleburn-buildsize     "2.0 MB">
+  <!ENTITY simpleburn-buildsize     "1.6 MB">
   <!ENTITY simpleburn-time          "less than 0.1 SBU">
 ]>
@@ -75,4 +75,5 @@
     <bridgehead renderas="sect4">Required</bridgehead>
     <para role="required">
+      <xref linkend="libcddb"/> and
       <xref linkend="cmake"/> and
       <xref linkend="gtk2"/>
Index: multimedia/libdriv/libcddb.xml
===================================================================
--- multimedia/libdriv/libcddb.xml	(revision 9318937b6db19810af2474114d668c32294bb67e)
+++ multimedia/libdriv/libcddb.xml	(revision 9318937b6db19810af2474114d668c32294bb67e)
@@ -0,0 +1,121 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY libcddb-download-http "https://sourceforge.net/projects/libcddb/files/libcddb/1.3.2/libcddb-&libcddb-version;.tar.bz2">
+  <!ENTITY libcddb-download-ftp  " ">
+  <!ENTITY libcddb-md5sum        "8bb4a6f542197e8e9648ae597cd6bc8a">
+  <!ENTITY libcddb-size          "384 KB">
+  <!ENTITY libcddb-buildsize     "3.9 MB (with tests)">
+  <!ENTITY libcddb-time          "0.2 SBU (with tests)">
+]>
+
+<sect1 id="libcddb" xreflabel="libcddb-&libcddb-version;">
+  <?dbhtml filename="libcddb.html"?>
+
+  <sect1info>
+    <othername>$LastChangedBy$</othername>
+    <date>$Date$</date>
+  </sect1info>
+
+  <title>libcddb-&libcddb-version;</title>
+
+  <indexterm zone="libcddb">
+    <primary sortas="a-libcddb">libcddb</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title>Introduction to libcddb</title>
+
+    <para>The <application>libcddb</application> is a library that implements
+    the different protocols (CDDBP, HTTP, SMTP) to access data on a CDDB
+    server.</para>
+
+    &lfs79_checked;&gcc6_checked;
+
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>Download (HTTP): <ulink url="&libcddb-download-http;"/></para>
+      </listitem>
+      <listitem>
+        <para>Download (FTP): <ulink url="&libcddb-download-ftp;"/></para>
+      </listitem>
+      <listitem>
+        <para>Download MD5 sum: &libcddb-md5sum;</para>
+      </listitem>
+      <listitem>
+        <para>Download size: &libcddb-size;</para>
+      </listitem>
+      <listitem>
+        <para>Estimated disk space required: &libcddb-buildsize;</para>
+      </listitem>
+      <listitem>
+        <para>Estimated build time: &libcddb-time;</para>
+      </listitem>
+    </itemizedlist>
+
+    <para condition="html" role="usernotes">User Notes:
+    <ulink url="&blfs-wiki;/libcddb"/></para>
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of libcddb</title>
+
+    <para>Install <application>libcddb</application> by running the
+    following commands:</para>
+
+<screen><userinput>./configure --prefix=/usr --disable-static &amp;&amp;
+make</userinput></screen>
+
+    <para>To test the results, issue: <command>make check</command>. Two
+    tests fail due to missing test servers.</para>
+
+    <para>Now, as the <systemitem class="username">root</systemitem>
+    user:</para>
+
+<screen role="root"><userinput>make install</userinput></screen>
+
+  </sect2>
+
+  <sect2 role="content">
+    <title>Contents</title>
+
+    <segmentedlist>
+      <segtitle>Installed Programs</segtitle>
+      <segtitle>Installed Library</segtitle>
+      <segtitle>Installed Directories</segtitle>
+
+      <seglistitem>
+        <seg>
+          cddb_query
+        </seg>
+        <seg>
+          libcddb.so
+        </seg>
+        <seg>
+          /usr/include/cddb
+        </seg>
+      </seglistitem>
+    </segmentedlist>
+
+    <variablelist>
+      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+      <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
+
+      <varlistentry id="cddb_query">
+        <term><command>cddb_query</command></term>
+        <listitem>
+          <para>provides a user interface to a CDDB server.</para>
+          <indexterm zone="libcddb cddb_query">
+            <primary sortas="b-cddb_query">cddb_query</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+    </variablelist>
+  </sect2>
+</sect1>
Index: multimedia/libdriv/libcdio.xml
===================================================================
--- multimedia/libdriv/libcdio.xml	(revision 7768dfc9de4f593adb69b3ecca6b09fc08f065dd)
+++ multimedia/libdriv/libcdio.xml	(revision 9318937b6db19810af2474114d668c32294bb67e)
@@ -75,5 +75,5 @@
     <bridgehead renderas="sect4">Optional</bridgehead>
     <para role="optional">
-        <ulink url="http://libcddb.sourceforge.net/">libcddb</ulink>
+        <xref linkend="libcddb"/>
     </para>
 
Index: multimedia/libdriv/libdriv.xml
===================================================================
--- multimedia/libdriv/libdriv.xml	(revision 7768dfc9de4f593adb69b3ecca6b09fc08f065dd)
+++ multimedia/libdriv/libdriv.xml	(revision 9318937b6db19810af2474114d668c32294bb67e)
@@ -48,4 +48,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="libass.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="libcanberra.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="libcddb.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="libcdio.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="libdiscid.xml"/>
Index: multimedia/libdriv/libsndfile.xml
===================================================================
--- multimedia/libdriv/libsndfile.xml	(revision 7768dfc9de4f593adb69b3ecca6b09fc08f065dd)
+++ multimedia/libdriv/libsndfile.xml	(revision 9318937b6db19810af2474114d668c32294bb67e)
@@ -87,5 +87,4 @@
             --disable-static \
             --docdir=/usr/share/doc/libsndfile-&libsndfile-version; &amp;&amp;
-
 make</userinput></screen>
 
Index: packages.ent
===================================================================
--- packages.ent	(revision 7768dfc9de4f593adb69b3ecca6b09fc08f065dd)
+++ packages.ent	(revision 9318937b6db19810af2474114d668c32294bb67e)
@@ -204,5 +204,5 @@
 <!ENTITY chrpath-version              "0.16">
 <!ENTITY compface-version             "1.5.2">
-<!ENTITY desktop-file-utils-version   "0.22">
+<!ENTITY desktop-file-utils-version   "0.23">
 <!ENTITY gperf-version                "3.0.4">
 <!ENTITY graphviz-version             "2.38.0">   <!-- Even minors only -->
@@ -513,5 +513,5 @@
 <!ENTITY gdk-pixbuf-version           "2.34.0">
 <!ENTITY glu-version                  "9.0.0">
-<!ENTITY goffice010-version           "0.10.29">
+<!ENTITY goffice010-version           "0.10.30">
 <!ENTITY gtk2-version                 "2.24.30">
 <!ENTITY gtk3-version                 "3.20.4">
@@ -666,5 +666,5 @@
 <!-- Chapter 42 -->
 <!ENTITY AbiWord-version              "3.0.1">
-<!ENTITY gnumeric-version             "1.12.29">
+<!ENTITY gnumeric-version             "1.12.30">
 <!ENTITY gnucash-version              "2.4.11">
 
@@ -689,5 +689,5 @@
 <!ENTITY inkscape-version             "0.91">
 <!ENTITY pan-version                  "0.133">
-<!ENTITY pidgin-version               "2.10.12">
+<!ENTITY pidgin-version               "2.11.0">
 <!ENTITY rox-filer-version            "2.11">
 <!ENTITY rxvt-unicode-version         "9.22">
@@ -730,4 +730,5 @@
 <!ENTITY libass-version               "0.13.2">
 <!ENTITY libcanberra-version          "0.30">
+<!ENTITY libcddb-version              "1.3.2">
 <!ENTITY libcdio-version              "0.93">
 <!ENTITY libdiscid-version            "0.6.1">
@@ -796,5 +797,5 @@
 <!ENTITY libisoburn-version           "1.4.2">
 <!ENTITY libisofs-version             "1.4.2">
-<!ENTITY simpleburn-version           "1.7.3.1">
+<!ENTITY simpleburn-version           "1.8.0">
 
 <!-- Part XII -->
Index: x/lib/goffice010.xml
===================================================================
--- x/lib/goffice010.xml	(revision 7768dfc9de4f593adb69b3ecca6b09fc08f065dd)
+++ x/lib/goffice010.xml	(revision 9318937b6db19810af2474114d668c32294bb67e)
@@ -9,5 +9,5 @@
   <!ENTITY goffice010-download-ftp
             "&gnome-download-ftp;/goffice/0.10/goffice-&goffice010-version;.tar.xz">
-  <!ENTITY goffice010-md5sum        "0b1ff43a34672fc047b3f7314d4b1018">
+  <!ENTITY goffice010-md5sum        "17124f6f5d6cc52217cc6dd170629b92">
   <!ENTITY goffice010-size          "2.3 MB">
   <!ENTITY goffice010-buildsize     "85 MB (with tests)">
Index: xsoft/office/gnumeric.xml
===================================================================
--- xsoft/office/gnumeric.xml	(revision 7768dfc9de4f593adb69b3ecca6b09fc08f065dd)
+++ xsoft/office/gnumeric.xml	(revision 9318937b6db19810af2474114d668c32294bb67e)
@@ -7,8 +7,8 @@
   <!ENTITY gnumeric-download-http "&gnome-download-http;/gnumeric/1.12/gnumeric-&gnumeric-version;.tar.xz">
   <!ENTITY gnumeric-download-ftp  "&gnome-download-ftp;/gnumeric/1.12/gnumeric-&gnumeric-version;.tar.xz">
-  <!ENTITY gnumeric-md5sum        "c52924e0afa83e2ab9de623dc8cddd6d">
+  <!ENTITY gnumeric-md5sum        "4451d1edfb415882a01791840ad65704">
   <!ENTITY gnumeric-size          "18 MB">
   <!ENTITY gnumeric-buildsize     "276 MB (add 3 MB for tests)">
-  <!ENTITY gnumeric-time          "1.6 SBU (add 9.7 SBU for tests)">
+  <!ENTITY gnumeric-time          "2.0 SBU (add 9.2 SBU for tests)">
 ]>
 
@@ -35,6 +35,5 @@
     </para>
 
-    &lfs79_checked;
-    &gcc6_checked;
+    &lfs79_checked;&gcc6_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: xsoft/other/pidgin.xml
===================================================================
--- xsoft/other/pidgin.xml	(revision 7768dfc9de4f593adb69b3ecca6b09fc08f065dd)
+++ xsoft/other/pidgin.xml	(revision 9318937b6db19810af2474114d668c32294bb67e)
@@ -7,8 +7,8 @@
   <!ENTITY pidgin-download-http "&sourceforge-repo;/pidgin/pidgin-&pidgin-version;.tar.bz2">
   <!ENTITY pidgin-download-ftp  " ">
-  <!ENTITY pidgin-md5sum        "14e0f5cfb2ed065e4dc80391a806ac76">
-  <!ENTITY pidgin-size          "9.4 MB">
-  <!ENTITY pidgin-buildsize     "200 MB (with tests; add 91 MB for API docs)">
-  <!ENTITY pidgin-time          "1.8 SBU (with tests; add 0.1 SBU for API docs)">
+  <!ENTITY pidgin-md5sum        "7b167474db669aab2f71fa46835fb83f">
+  <!ENTITY pidgin-size          "9.6 MB">
+  <!ENTITY pidgin-buildsize     "216 MB (with tests)">
+  <!ENTITY pidgin-time          "1.9 SBU (with tests)">
 ]>
 
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs79_checked;
+    &lfs79_checked;&gcc6_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>