Index: multimedia/libdriv/libdvdread.xml
===================================================================
--- multimedia/libdriv/libdvdread.xml	(revision dc40cb989698708e91dd5994ab9c28aac990b547)
+++ multimedia/libdriv/libdvdread.xml	(revision 9391992d869cd3951a541a15078c662fba132fed)
@@ -5,9 +5,10 @@
   %general-entities;
 
-  <!ENTITY libdvdread-download-http "http://www.dtek.chalmers.se/groups/dvd/dist/libdvdread-&libdvdread-version;.tar.gz">
-  <!ENTITY libdvdread-download-ftp  "&gentoo-ftp-repo;/libdvdread-&libdvdread-version;.tar.gz">
-  <!ENTITY libdvdread-md5sum        "078788c9241ae16763529e1235502337">
-  <!ENTITY libdvdread-size          "380 KB">
-  <!ENTITY libdvdread-buildsize     "9 MB">
+  <!ENTITY libdvdread-download-http
+  "http://dvdnav.mplayerhq.hu/releases/libdvdread-&libdvdread-version;.tar.bz2">
+  <!ENTITY libdvdread-download-ftp  " ">
+  <!ENTITY libdvdread-md5sum        "ab7a19d3ab1a437ae754ef477d6231a4">
+  <!ENTITY libdvdread-size          "95 KB">
+  <!ENTITY libdvdread-buildsize     "2 MB">
   <!ENTITY libdvdread-time          "0.1 SBU">
 ]>
@@ -33,5 +34,5 @@
     provides a simple foundation for reading DVDs.</para>
 
-    &lfs65_checked;
+    &lfs70_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -57,12 +58,6 @@
     </itemizedlist>
 
-    <bridgehead renderas="sect3">Libdvdread Dependencies</bridgehead>
-
-    <bridgehead renderas="sect4">Optional</bridgehead>
-    <para role="optional"><xref linkend="libdvdcss"/></para>
-
     <para condition="html" role="usernotes">User Notes:
     <ulink url="&blfs-wiki;/libdvdread"/></para>
-
   </sect2>
 
@@ -73,13 +68,13 @@
     following commands:</para>
 
-<screen><userinput>./configure --prefix=/usr &amp;&amp;
+<screen><userinput>./configure2 --prefix=/usr  --disable-static &amp;&amp;
 make</userinput></screen>
 
     <para>This package does not come with a test suite.</para>
 
-    <para>Now, as the <systemitem class="username">root</systemitem> user:</para>
+    <para>Now, as the <systemitem class="username">root</systemitem>
+    user:</para>
 
 <screen role="root"><userinput>make install</userinput></screen>
-
   </sect2>
 
@@ -87,12 +82,10 @@
     <title>Command Explanations</title>
 
-    <para><option>--with-libdvdcss</option>: This switch is needed if
-    you want <application>libdvdread</application> to link to the
-    <filename class='libraryfile'>libdvdcss</filename> library so it can
-    read CSS encrypted DVDs. If you do not pass this switch,
-    <application>libdvdread</application> will dlopen the
-    <filename class='libraryfile'>libdvdcss</filename> library at runtime, if
-    it is available, in order to read CSS encrypted DVDs.</para>
-
+    <para><command>./configure2</command>: The package does not come with the
+    normal configure script, instead it has a hand written configure2 shell
+    script which works well enough.<!-- Oddly, it also has a configure.ac file
+    so if you have autoreconf installed you can use
+    <command>./autogen.sh</command> to generate a configure script to use in
+    the normal way. --></para>
   </sect2>
 
@@ -101,11 +94,9 @@
 
     <segmentedlist>
-      <segtitle>Installed Programs</segtitle>
       <segtitle>Installed Library</segtitle>
       <segtitle>Installed Directory</segtitle>
 
       <seglistitem>
-        <seg>None</seg>
-        <seg>libdvdread.{so,a}</seg>
+        <seg>libdvdread.so</seg>
         <seg>/usr/include/dvdread</seg>
       </seglistitem>
@@ -118,16 +109,13 @@
 
       <varlistentry id="libdvdread-lib">
-        <term><filename class='libraryfile'>libdvdread.{so,a}</filename></term>
+        <term><filename class="libraryfile">libdvdread.so</filename></term>
         <listitem>
           <para>provides functionality required to access DVDs.</para>
           <indexterm zone="libdvdread libdvdread-lib">
-            <primary sortas="c-libdvdread">libdvdread.{so,a}</primary>
+            <primary sortas="c-libdvdread">libdvdread.so</primary>
           </indexterm>
         </listitem>
       </varlistentry>
-
     </variablelist>
-
   </sect2>
-
 </sect1>