Index: general.ent
===================================================================
--- general.ent	(revision 758f3f6059be0f39637db85a3abbd2fa346027dd)
+++ general.ent	(revision 09419534c449aa4aa389f0b8216e6db49e53c4c2)
@@ -1,5 +1,5 @@
 <!-- $LastChangedBy$ $Date$ -->
 
-<!ENTITY day          "22">                   <!-- Always 2 digits -->
+<!ENTITY day          "23">                   <!-- Always 2 digits -->
 <!ENTITY month        "10">                   <!-- Always 2 digits -->
 <!ENTITY year         "2020">
@@ -7,5 +7,5 @@
 <!ENTITY copyholder   "The BLFS Development Team">
 <!ENTITY version      "&year;-&month;-&day;">
-<!ENTITY releasedate  "October 22nd, &year;">
+<!ENTITY releasedate  "October 23rd, &year;">
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
 <!ENTITY blfs-version "svn">                  <!-- svn|[release #] -->
Index: general/prog/scour.xml
===================================================================
--- general/prog/scour.xml	(revision 758f3f6059be0f39637db85a3abbd2fa346027dd)
+++ general/prog/scour.xml	(revision 09419534c449aa4aa389f0b8216e6db49e53c4c2)
@@ -75,13 +75,8 @@
       </para>
 
-      <bridgehead renderas="sect5">Recommended</bridgehead>
-      <para role="recommended">
-        <xref linkend="python2"/>
-      </para>
-
       <note>
         <para>
-          The only use of Scour in this book is by applications which
-          require Python2.
+          Although the download link works fine with wget, in this case downloading
+          with a browser such as firefox will create scour-038.1.tar.gz.
         </para>
       </note>
@@ -95,37 +90,24 @@
       <title>Installation of scour</title>
 
-
-      <note>
-        <para>
-          Both <application>Python 2</application> and
-          <application>Python 3</application> modules can
-          be built and installed without any conflicts.
-        </para>
-      </note>
-
 <!-- Editors note: Use - -root= instead of DESTDIR= when updating. -->
-
       <para>
-        To build both <application>Python 2</application> and
-        <application>Python 3</application> modules,
+        To build the <application>Python 3</application> module
         run the following commands:
       </para>
 
-<screen><userinput>python2 setup.py build &amp;&amp;
-python3 setup.py build</userinput></screen>
+<screen><userinput>python3 setup.py build</userinput></screen>
 
       <para>
-        To partially test the results, issue: <command>python2 testcss.py</command>.
+        To partially test the results, issue: <command>python3 test_css.py</command>.
         If you have installed <application>Six</application> you can run the main
-        tests by issuing: <command>python2 testscour.py</command>.
+        tests by issuing: <command>python3 test_scour.py</command>.
       </para>
 
       <para>
-        To install both modules, run the following command as the
+        To install the module, run the following command as the
         <systemitem class="username">root</systemitem> user:
       </para>
 
-<screen role="root"><userinput>python2 setup.py install --optimize=1 &amp;&amp;
-python3 setup.py install --optimize=1</userinput></screen>
+<screen role="root"><userinput>python3 setup.py install --optimize=1</userinput></screen>
 
     </sect3>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 758f3f6059be0f39637db85a3abbd2fa346027dd)
+++ introduction/welcome/changelog.xml	(revision 09419534c449aa4aa389f0b8216e6db49e53c4c2)
@@ -43,4 +43,14 @@
     -->
     <listitem>
+      <para>October 23rd, 2020</para>
+      <itemizedlist>
+        <listitem>
+          <para>[ken] - In scour-0.38.1 fix the test invocation, and
+          drop the python2 module since nothing in the book uses it.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>October 22nd, 2020</para>
       <itemizedlist>