Index: general/genlib/dbus-glib.xml
===================================================================
--- general/genlib/dbus-glib.xml	(revision 60facfc6aacb5b380d631733577664a6fd34b294)
+++ general/genlib/dbus-glib.xml	(revision 09422244a634a5c01d570779890b8827be4a1c0d)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs111_checked;
+    &lfs112_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/genutils/iso-codes.xml
===================================================================
--- general/genutils/iso-codes.xml	(revision 60facfc6aacb5b380d631733577664a6fd34b294)
+++ general/genutils/iso-codes.xml	(revision 09422244a634a5c01d570779890b8827be4a1c0d)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs111_checked;
+    &lfs112_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/graphlib/lcms2.xml
===================================================================
--- general/graphlib/lcms2.xml	(revision 60facfc6aacb5b380d631733577664a6fd34b294)
+++ general/graphlib/lcms2.xml	(revision 09422244a634a5c01d570779890b8827be4a1c0d)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs111_checked;
+    &lfs112_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/graphlib/librsvg.xml
===================================================================
--- general/graphlib/librsvg.xml	(revision 60facfc6aacb5b380d631733577664a6fd34b294)
+++ general/graphlib/librsvg.xml	(revision 09422244a634a5c01d570779890b8827be4a1c0d)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs111_checked;
+    &lfs112_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/graphlib/sassc.xml
===================================================================
--- general/graphlib/sassc.xml	(revision 60facfc6aacb5b380d631733577664a6fd34b294)
+++ general/graphlib/sassc.xml	(revision 09422244a634a5c01d570779890b8827be4a1c0d)
@@ -42,5 +42,5 @@
     </para>
 
-    &lfs111_checked;
+    &lfs112_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/prog/dbus-python.xml
===================================================================
--- general/prog/dbus-python.xml	(revision 60facfc6aacb5b380d631733577664a6fd34b294)
+++ general/prog/dbus-python.xml	(revision 09422244a634a5c01d570779890b8827be4a1c0d)
@@ -30,5 +30,5 @@
       </para>
 
-      &lfs111_checked;
+      &lfs112_checked;
 
       <bridgehead renderas="sect4">Package Information</bridgehead>
Index: general/prog/pyatspi2.xml
===================================================================
--- general/prog/pyatspi2.xml	(revision 60facfc6aacb5b380d631733577664a6fd34b294)
+++ general/prog/pyatspi2.xml	(revision 09422244a634a5c01d570779890b8827be4a1c0d)
@@ -34,5 +34,5 @@
       </para>
 
-      &lfs111_checked;
+      &lfs112_checked;
 
       <bridgehead renderas="sect4">Package Information</bridgehead>
Index: general/prog/pycairo.xml
===================================================================
--- general/prog/pycairo.xml	(revision 60facfc6aacb5b380d631733577664a6fd34b294)
+++ general/prog/pycairo.xml	(revision 09422244a634a5c01d570779890b8827be4a1c0d)
@@ -30,5 +30,5 @@
       </para>
 
-      &lfs111_checked;
+      &lfs112_checked;
       <!-- Does not use gcc -->
 
Index: general/prog/pycairo2.xml
===================================================================
--- general/prog/pycairo2.xml	(revision 60facfc6aacb5b380d631733577664a6fd34b294)
+++ general/prog/pycairo2.xml	(revision 09422244a634a5c01d570779890b8827be4a1c0d)
@@ -31,5 +31,5 @@
       </para>
 
-      &lfs111_checked;
+      &lfs112_checked;
       <!-- Does not use gcc -->
 
Index: general/prog/pygobject2.xml
===================================================================
--- general/prog/pygobject2.xml	(revision 60facfc6aacb5b380d631733577664a6fd34b294)
+++ general/prog/pygobject2.xml	(revision 09422244a634a5c01d570779890b8827be4a1c0d)
@@ -33,5 +33,5 @@
       </para>
 
-      &lfs111_checked;
+      &lfs112_checked;
 
       <bridgehead renderas="sect4">Package Information</bridgehead>
Index: general/prog/pygobject3.xml
===================================================================
--- general/prog/pygobject3.xml	(revision 60facfc6aacb5b380d631733577664a6fd34b294)
+++ general/prog/pygobject3.xml	(revision 09422244a634a5c01d570779890b8827be4a1c0d)
@@ -33,5 +33,5 @@
       </para>
 
-      &lfs111_checked;
+      &lfs112_checked;
 
       <bridgehead renderas="sect4">Package Information</bridgehead>
Index: general/prog/pygtk.xml
===================================================================
--- general/prog/pygtk.xml	(revision 60facfc6aacb5b380d631733577664a6fd34b294)
+++ general/prog/pygtk.xml	(revision 09422244a634a5c01d570779890b8827be4a1c0d)
@@ -32,5 +32,5 @@
       </para>
 
-      &lfs111_checked;
+      &lfs112_checked;
 
       <bridgehead renderas="sect4">Package Information</bridgehead>
Index: general/prog/pyxdg.xml
===================================================================
--- general/prog/pyxdg.xml	(revision 60facfc6aacb5b380d631733577664a6fd34b294)
+++ general/prog/pyxdg.xml	(revision 09422244a634a5c01d570779890b8827be4a1c0d)
@@ -31,5 +31,5 @@
       </para>
 
-      &lfs111_checked;
+      &lfs112_checked;
 
       <bridgehead renderas="sect4">Package Information</bridgehead>
Index: general/prog/sysprof.xml
===================================================================
--- general/prog/sysprof.xml	(revision 60facfc6aacb5b380d631733577664a6fd34b294)
+++ general/prog/sysprof.xml	(revision 09422244a634a5c01d570779890b8827be4a1c0d)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs111_checked;
+    &lfs112_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/sysutils/colord.xml
===================================================================
--- general/sysutils/colord.xml	(revision 60facfc6aacb5b380d631733577664a6fd34b294)
+++ general/sysutils/colord.xml	(revision 09422244a634a5c01d570779890b8827be4a1c0d)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs111_checked;
+    &lfs112_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>