Index: general.ent
===================================================================
--- general.ent	(revision 9814efc446e37c552309af8e9c435bdcb980ea51)
+++ general.ent	(revision 9624412e2109b2625a128e66555240fdf6a4f7ab)
@@ -618,5 +618,4 @@
 <!ENTITY gnome-system-monitor-version "2.28.0">
 <!ENTITY gnome-utils-version          "2.28.1">
-<!ENTITY gnome-volume-manager-version "2.17.0">
 <!ENTITY gucharmap-version            "1.10.0">
 <!ENTITY nautilus-cd-burner-version   "2.18.2">
@@ -644,4 +643,5 @@
 <!ENTITY gnome-vfs-monikers-version   "2.15.3">
 <!ENTITY gnome-audio-version          "2.0.0">
+<!ENTITY gnome-volume-manager-version "2.17.0">
 -->
 
Index: general/sysutils/hal.xml
===================================================================
--- general/sysutils/hal.xml	(revision 9814efc446e37c552309af8e9c435bdcb980ea51)
+++ general/sysutils/hal.xml	(revision 9624412e2109b2625a128e66555240fdf6a4f7ab)
@@ -135,7 +135,7 @@
     the <systemitem class="username">root</systemitem> user:</para>
 
-<screen role="root"><userinput>groupadd -g 19 haldaemon &amp;&amp;
+<screen role="root"><userinput>groupadd -fg 19 haldaemon &amp;&amp;
 useradd -c "HAL Daemon User" -d /dev/null -u 19 \
-        -g haldaemon -s /bin/false haldaemon</userinput></screen>
+        -g haldaemon -s /bin/false haldaemon || [ $? == 9 ]</userinput></screen>
 
     <para>Install <application>HAL</application> by running the following
@@ -147,5 +147,5 @@
             --localstatedir=/var \
             --docdir=/usr/share/doc/hal-&hal-version; \
-            --enable_policy_kit=no &amp;&amp;
+            --enable-policy-kit=no &amp;&amp;
 make</userinput></screen>
 
@@ -182,5 +182,5 @@
     <filename class='directory'>/usr/var/run/hald</filename>.</para>
 
-    <para><parameter>--enable_policy_kit=no</parameter>: This parameter is
+    <para><parameter>--enable-policy-kit=no</parameter>: This parameter is
     required if PolicyKit is not installed. Remove it if PolicyKit is
     installed.</para>
@@ -248,5 +248,5 @@
       following commands:</para>
 
-<screen role="root"><userinput>groupadd -g 61 halusers &amp;&amp;
+<screen role="root"><userinput>groupadd -fg 61 halusers &amp;&amp;
 cat &gt; /etc/dbus-1/system.d/halusers.conf &lt;&lt; "EOF"
 <literal>&lt;!DOCTYPE busconfig PUBLIC
@@ -304,6 +304,5 @@
       <para><application>HAL</application> only provides the methods such
       as Mount() to act on hardware. In order to take advantage of these,
-      a <application>HAL</application> event handler such as
-      <xref linkend="gnome-volume-manager"/> or <ulink
+      a <application>HAL</application> event handler such as <ulink
       url="http://ivman.sourceforge.net/">Ivman</ulink> should be
       installed.</para>
Index: gnome/add/add.xml
===================================================================
--- gnome/add/add.xml	(revision 9814efc446e37c552309af8e9c435bdcb980ea51)
+++ gnome/add/add.xml	(revision 9624412e2109b2625a128e66555240fdf6a4f7ab)
@@ -56,5 +56,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="gnome-system-monitor.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="gnome-utils.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="gnome-volume-manager.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="gucharmap.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="nautilus-cd-burner.xml"/>
@@ -83,4 +82,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="gnome-vfs-monikers.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="gnome-audio.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="gnome-volume-manager.xml"/>
   -->
 
Index: ome/add/gnome-volume-manager.xml
===================================================================
--- gnome/add/gnome-volume-manager.xml	(revision 9814efc446e37c552309af8e9c435bdcb980ea51)
+++ 	(revision )
@@ -1,212 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
-   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
-  <!ENTITY % general-entities SYSTEM "../../general.ent">
-  %general-entities;
-
-  <!ENTITY gnome-volume-manager-download-http "&gnome-download-http;/gnome-volume-manager/2.17/gnome-volume-manager-&gnome-volume-manager-version;.tar.bz2">
-  <!ENTITY gnome-volume-manager-download-ftp  "&gnome-download-ftp;/gnome-volume-manager/2.17/gnome-volume-manager-&gnome-volume-manager-version;.tar.bz2">
-  <!ENTITY gnome-volume-manager-md5sum        "104cec26e721e0bba69debd392367195">
-  <!ENTITY gnome-volume-manager-size          "341 KB">
-  <!ENTITY gnome-volume-manager-buildsize     "11 MB">
-  <!ENTITY gnome-volume-manager-time          "0.1 SBU">
-]>
-
-<sect1 id="gnome-volume-manager"
-       xreflabel="gnome-volume-manager-&gnome-volume-manager-version;">
-  <?dbhtml filename="gnome-volume-manager.html"?>
-
-  <sect1info>
-    <othername>$LastChangedBy$</othername>
-    <date>$Date$</date>
-  </sect1info>
-
-  <title>gnome-volume-manager-&gnome-volume-manager-version;</title>
-
-  <indexterm zone="gnome-volume-manager">
-    <primary sortas="a-gnome-volume-manager">gnome-volume-manager</primary>
-  </indexterm>
-
-  <sect2 role="package">
-    <title>Introduction to gnome-volume-manager</title>
-
-    <para>The <application>gnome-volume-manager</application> package contains
-    a volume manager for GNOME. It is a desktop-level daemon that enforces
-    volume-related policy in response to events received from
-    <application>HAL</application>. This is useful for automatic mounting of
-    floppy diskettes, CDROMs and removable storage devices. It can also be
-    used to automatically run a program in response to other hotplug events
-    such as plugging in USB printers or cameras, or inserting DVDs and
-    music CDs. The goal of <application>gnome-volume-manager</application> is
-    to implement all functionality as a state-machine in response to
-    asynchronous events from <application>HAL</application>. It is one
-    component in a larger plan to fully integrate all levels of the Linux
-    system, from the kernel on up through the desktop and its
-    applications.</para>
-
-    <bridgehead renderas="sect3">Package Information</bridgehead>
-    <itemizedlist spacing="compact">
-      <listitem>
-        <para>Download (HTTP): <ulink url="&gnome-volume-manager-download-http;"/></para>
-      </listitem>
-      <listitem>
-        <para>Download (FTP): <ulink url="&gnome-volume-manager-download-ftp;"/></para>
-      </listitem>
-      <listitem>
-        <para>Download MD5 sum: &gnome-volume-manager-md5sum;</para>
-      </listitem>
-      <listitem>
-        <para>Download size: &gnome-volume-manager-size;</para>
-      </listitem>
-      <listitem>
-        <para>Estimated disk space required: &gnome-volume-manager-buildsize;</para>
-      </listitem>
-      <listitem>
-        <para>Estimated build time: &gnome-volume-manager-time;</para>
-      </listitem>
-    </itemizedlist>
-
-    <bridgehead renderas="sect3">gnome-volume-manager Dependencies</bridgehead>
-
-    <bridgehead renderas="sect4">Required</bridgehead>
-    <para role="required"><xref linkend="libgnomeui"/> and
-    <xref linkend="hal"/></para>
-
-    <bridgehead renderas="sect4">Optional</bridgehead>
-    <para role="optional"><xref linkend="intltool"/>,
-    <xref linkend="nautilus"/>, and
-    <xref linkend="libnotify"/></para>
-
-    <para condition="html" role="usernotes">User Notes:
-    <ulink url="&blfs-wiki;/gnome-volume-manager"/></para>
-
-  </sect2>
-
-  <sect2 role="installation">
-    <title>Installation of gnome-volume-manager</title>
-
-    <para>Install <application>gnome-volume-manager</application> by running
-    the following commands:</para>
-
-<screen><userinput>./configure --prefix=$(pkg-config --variable=prefix ORBit-2.0) \
-            --sysconfdir=&gnome-etc-dir; \
-            --disable-multiuser &amp;&amp;
-make</userinput></screen>
-
-    <para>This package does not come with a test suite.</para>
-
-    <para>Now, as the <systemitem class="username">root</systemitem> user:</para>
-
-<screen role="root"><userinput>make install</userinput></screen>
-
-  </sect2>
-
-  <sect2 role="commands">
-    <title>Command Explanations</title>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../xincludes/gnome-prefix.xml"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../xincludes/gnome-sysconfdir.xml"/>
-
-    <para><parameter>--disable-multiuser</parameter>: Without this parameter,
-    <application>gnome-volume-manager</application> will only allow the user
-    who is at the active console to manage volumes. This is determined
-    through the <xref linkend="linux-pam"/> module <ulink
-    url="&blfs-wiki;/linux-pam">pam_console</ulink>. If your system is
-    configured to use <ulink url="&blfs-wiki;/linux-pam">pam_console</ulink>,
-    you can drop this parameter.</para>
-
-  </sect2>
-
-  <sect2 role="configuration">
-    <title>Configuring gnome-volume-manager</title>
-
-    <sect3 id="gnome-volume-manager-config">
-      <title>Configuration Information</title>
-
-      <para>Proper operation of this package is dependant upon the
-      <command>hald</command> daemon running on the system. Ensure the
-      <command>hald</command> daemon is running before attempting to start or
-      configure <command>gnome-volume-manager</command>. Configuration
-      is accomplished using the <quote>Removable Drives and Media</quote>
-      graphical interface found on the
-      <quote>Desktop</quote>&mdash;<quote>Preferences</quote> drop-down
-      menu. You can also run the <command>gnome-volume-properties</command>
-      command from the command line to bring up the configuration
-      interface.</para>
-
-      <para>Note that the <command>gnome-volume-manager</command> daemon
-      program should be started when your GNOME desktop environment is started.
-      This should be automatically configured during the installation of
-      <application>gnome-volume-manager</application>.</para>
-
-      <!--
-      This can easily be accomplished by adding
-      <command>gnome-volume-manager</command> to the
-      <quote>Startup Programs</quote>, found by selecting the
-      <quote>Desktop</quote>&mdash;<quote>Preferences</quote>&mdash;<quote>Sessions</quote>
-      drop-down menu.</para>
-      -->
-
-      <para>The <quote>Disk Mounter</quote> applet can be installed in the
-      control panel for visual display status of removable media. Installing
-      this applet in the panel is accomplished using conventional
-      methods.</para>
-
-    </sect3>
-
-  </sect2>
-
-  <sect2 role="content">
-    <title>Contents</title>
-
-    <segmentedlist>
-      <segtitle>Installed Programs</segtitle>
-      <segtitle>Installed Libraries</segtitle>
-      <segtitle>Installed Directories</segtitle>
-
-      <seglistitem>
-        <seg>gnome-volume-manager and gnome-volume-properties</seg>
-        <seg>None</seg>
-        <seg><envar>$GNOME_PREFIX</envar>/share/gnome-volume-manager</seg>
-      </seglistitem>
-    </segmentedlist>
-
-    <variablelist>
-      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
-      <?dbfo list-presentation="list"?>
-      <?dbhtml list-presentation="table"?>
-
-      <varlistentry id="gnome-volume-manager-prog">
-        <term><command>gnome-volume-manager</command></term>
-        <listitem>
-          <para>is the manager daemon, designed to be run at the desktop level.
-          It is a simple policy engine that implements a state machine in
-          response to events from <application>HAL</application>. Responding
-          to these events, it implements automount, autorun, autoplay,
-          automatic photo management, and so on.</para>
-          <indexterm zone="gnome-volume-manager gnome-volume-manager-prog">
-            <primary sortas="b-gnome-volume-manager">gnome-volume-manager</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="gnome-volume-properties">
-        <term><command>gnome-volume-properties</command></term>
-        <listitem>
-          <para>is a control panel applet for
-          <application>gnome-volume-manager</application>. It is also provides
-          a graphical configuration interface.</para>
-          <indexterm zone="gnome-volume-manager gnome-volume-properties">
-            <primary sortas="b-gnome-volume-properties">gnome-volume-properties</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-    </variablelist>
-
-  </sect2>
-
-</sect1>
Index: gnome/add/obsolete/gnome-volume-manager.xml
===================================================================
--- gnome/add/obsolete/gnome-volume-manager.xml	(revision 9624412e2109b2625a128e66555240fdf6a4f7ab)
+++ gnome/add/obsolete/gnome-volume-manager.xml	(revision 9624412e2109b2625a128e66555240fdf6a4f7ab)
@@ -0,0 +1,212 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY gnome-volume-manager-download-http "&gnome-download-http;/gnome-volume-manager/2.17/gnome-volume-manager-&gnome-volume-manager-version;.tar.bz2">
+  <!ENTITY gnome-volume-manager-download-ftp  "&gnome-download-ftp;/gnome-volume-manager/2.17/gnome-volume-manager-&gnome-volume-manager-version;.tar.bz2">
+  <!ENTITY gnome-volume-manager-md5sum        "104cec26e721e0bba69debd392367195">
+  <!ENTITY gnome-volume-manager-size          "341 KB">
+  <!ENTITY gnome-volume-manager-buildsize     "11 MB">
+  <!ENTITY gnome-volume-manager-time          "0.1 SBU">
+]>
+
+<sect1 id="gnome-volume-manager"
+       xreflabel="gnome-volume-manager-&gnome-volume-manager-version;">
+  <?dbhtml filename="gnome-volume-manager.html"?>
+
+  <sect1info>
+    <othername>$LastChangedBy$</othername>
+    <date>$Date$</date>
+  </sect1info>
+
+  <title>gnome-volume-manager-&gnome-volume-manager-version;</title>
+
+  <indexterm zone="gnome-volume-manager">
+    <primary sortas="a-gnome-volume-manager">gnome-volume-manager</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title>Introduction to gnome-volume-manager</title>
+
+    <para>The <application>gnome-volume-manager</application> package contains
+    a volume manager for GNOME. It is a desktop-level daemon that enforces
+    volume-related policy in response to events received from
+    <application>HAL</application>. This is useful for automatic mounting of
+    floppy diskettes, CDROMs and removable storage devices. It can also be
+    used to automatically run a program in response to other hotplug events
+    such as plugging in USB printers or cameras, or inserting DVDs and
+    music CDs. The goal of <application>gnome-volume-manager</application> is
+    to implement all functionality as a state-machine in response to
+    asynchronous events from <application>HAL</application>. It is one
+    component in a larger plan to fully integrate all levels of the Linux
+    system, from the kernel on up through the desktop and its
+    applications.</para>
+
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>Download (HTTP): <ulink url="&gnome-volume-manager-download-http;"/></para>
+      </listitem>
+      <listitem>
+        <para>Download (FTP): <ulink url="&gnome-volume-manager-download-ftp;"/></para>
+      </listitem>
+      <listitem>
+        <para>Download MD5 sum: &gnome-volume-manager-md5sum;</para>
+      </listitem>
+      <listitem>
+        <para>Download size: &gnome-volume-manager-size;</para>
+      </listitem>
+      <listitem>
+        <para>Estimated disk space required: &gnome-volume-manager-buildsize;</para>
+      </listitem>
+      <listitem>
+        <para>Estimated build time: &gnome-volume-manager-time;</para>
+      </listitem>
+    </itemizedlist>
+
+    <bridgehead renderas="sect3">gnome-volume-manager Dependencies</bridgehead>
+
+    <bridgehead renderas="sect4">Required</bridgehead>
+    <para role="required"><xref linkend="libgnomeui"/> and
+    <xref linkend="hal"/></para>
+
+    <bridgehead renderas="sect4">Optional</bridgehead>
+    <para role="optional"><xref linkend="intltool"/>,
+    <xref linkend="nautilus"/>, and
+    <xref linkend="libnotify"/></para>
+
+    <para condition="html" role="usernotes">User Notes:
+    <ulink url="&blfs-wiki;/gnome-volume-manager"/></para>
+
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of gnome-volume-manager</title>
+
+    <para>Install <application>gnome-volume-manager</application> by running
+    the following commands:</para>
+
+<screen><userinput>./configure --prefix=$(pkg-config --variable=prefix ORBit-2.0) \
+            --sysconfdir=&gnome-etc-dir; \
+            --disable-multiuser &amp;&amp;
+make</userinput></screen>
+
+    <para>This package does not come with a test suite.</para>
+
+    <para>Now, as the <systemitem class="username">root</systemitem> user:</para>
+
+<screen role="root"><userinput>make install</userinput></screen>
+
+  </sect2>
+
+  <sect2 role="commands">
+    <title>Command Explanations</title>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../../xincludes/gnome-prefix.xml"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../../xincludes/gnome-sysconfdir.xml"/>
+
+    <para><parameter>--disable-multiuser</parameter>: Without this parameter,
+    <application>gnome-volume-manager</application> will only allow the user
+    who is at the active console to manage volumes. This is determined
+    through the <xref linkend="linux-pam"/> module <ulink
+    url="&blfs-wiki;/linux-pam">pam_console</ulink>. If your system is
+    configured to use <ulink url="&blfs-wiki;/linux-pam">pam_console</ulink>,
+    you can drop this parameter.</para>
+
+  </sect2>
+
+  <sect2 role="configuration">
+    <title>Configuring gnome-volume-manager</title>
+
+    <sect3 id="gnome-volume-manager-config">
+      <title>Configuration Information</title>
+
+      <para>Proper operation of this package is dependant upon the
+      <command>hald</command> daemon running on the system. Ensure the
+      <command>hald</command> daemon is running before attempting to start or
+      configure <command>gnome-volume-manager</command>. Configuration
+      is accomplished using the <quote>Removable Drives and Media</quote>
+      graphical interface found on the
+      <quote>Desktop</quote>&mdash;<quote>Preferences</quote> drop-down
+      menu. You can also run the <command>gnome-volume-properties</command>
+      command from the command line to bring up the configuration
+      interface.</para>
+
+      <para>Note that the <command>gnome-volume-manager</command> daemon
+      program should be started when your GNOME desktop environment is started.
+      This should be automatically configured during the installation of
+      <application>gnome-volume-manager</application>.</para>
+
+      <!--
+      This can easily be accomplished by adding
+      <command>gnome-volume-manager</command> to the
+      <quote>Startup Programs</quote>, found by selecting the
+      <quote>Desktop</quote>&mdash;<quote>Preferences</quote>&mdash;<quote>Sessions</quote>
+      drop-down menu.</para>
+      -->
+
+      <para>The <quote>Disk Mounter</quote> applet can be installed in the
+      control panel for visual display status of removable media. Installing
+      this applet in the panel is accomplished using conventional
+      methods.</para>
+
+    </sect3>
+
+  </sect2>
+
+  <sect2 role="content">
+    <title>Contents</title>
+
+    <segmentedlist>
+      <segtitle>Installed Programs</segtitle>
+      <segtitle>Installed Libraries</segtitle>
+      <segtitle>Installed Directories</segtitle>
+
+      <seglistitem>
+        <seg>gnome-volume-manager and gnome-volume-properties</seg>
+        <seg>None</seg>
+        <seg><envar>$GNOME_PREFIX</envar>/share/gnome-volume-manager</seg>
+      </seglistitem>
+    </segmentedlist>
+
+    <variablelist>
+      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+      <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
+
+      <varlistentry id="gnome-volume-manager-prog">
+        <term><command>gnome-volume-manager</command></term>
+        <listitem>
+          <para>is the manager daemon, designed to be run at the desktop level.
+          It is a simple policy engine that implements a state machine in
+          response to events from <application>HAL</application>. Responding
+          to these events, it implements automount, autorun, autoplay,
+          automatic photo management, and so on.</para>
+          <indexterm zone="gnome-volume-manager gnome-volume-manager-prog">
+            <primary sortas="b-gnome-volume-manager">gnome-volume-manager</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="gnome-volume-properties">
+        <term><command>gnome-volume-properties</command></term>
+        <listitem>
+          <para>is a control panel applet for
+          <application>gnome-volume-manager</application>. It is also provides
+          a graphical configuration interface.</para>
+          <indexterm zone="gnome-volume-manager gnome-volume-properties">
+            <primary sortas="b-gnome-volume-properties">gnome-volume-properties</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+    </variablelist>
+
+  </sect2>
+
+</sect1>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 9814efc446e37c552309af8e9c435bdcb980ea51)
+++ introduction/welcome/changelog.xml	(revision 9624412e2109b2625a128e66555240fdf6a4f7ab)
@@ -46,4 +46,7 @@
       <itemizedlist>
         <listitem>
+          <para>[wblaszcz] - Removed gnome-volume-manager-2.17.0.</para>
+        </listitem>
+        <listitem>
           <para>[wblaszcz] - Updated to GNOME Utilities-2.28.1.</para>
         </listitem>