Index: appendices/glossary.xml
===================================================================
--- appendices/glossary.xml	(revision dad52e374c82fab5f96a0ab7e58d905ebe4645cf)
+++ appendices/glossary.xml	(revision 9635613edb824b6c5dfcb4c13d66054021048ed0)
@@ -2,11 +2,4 @@
 <?dbhtml filename="glossary.html" dir="appendices"?>
 <title>Glossary</title>
-
-<glossdiv><title>Abbreviations</title>
-
-<glossentry id="imon"><glossterm><abbrev>imon</abbrev></glossterm>
-<glossdef><para>Inode Monitor</para></glossdef></glossentry>
-
-</glossdiv>
 
 
@@ -17,5 +10,5 @@
 
 <glossentry id="gATK"><glossterm><acronym>ATK</acronym></glossterm>
-<glossdef><para>Accessibility Took Kit</para></glossdef></glossentry>
+<glossdef><para>Accessibility Tool Kit</para></glossdef></glossentry>
 
 <glossentry id="gBIND"><glossterm><acronym>BIND</acronym></glossterm>
@@ -66,4 +59,7 @@
 <glossdef><para>Interface Definition Language</para></glossdef></glossentry>
 
+<glossentry id="IMON"><glossterm><abbrev>imon</abbrev></glossterm>
+<glossdef><para>Inode MONitor</para></glossdef></glossentry>
+
 <glossentry id="gISP"><glossterm><acronym>ISP</acronym></glossterm>
 <glossdef><para>Internet Service Provider</para></glossdef></glossentry>
@@ -77,4 +73,7 @@
 <glossentry id="gLZO"><glossterm><acronym>LZO</acronym></glossterm>
 <glossdef><para>Lemple-Ziv-Oberhumer</para></glossdef></glossentry>
+
+<glossentry id="gNASM"><glossterm><acronym>NASM</acronym></glossterm>
+<glossdef><para>Netwide ASseMbler</para></glossdef></glossentry>
 
 <glossentry id="gORB"><glossterm><acronym>ORB</acronym></glossterm>
@@ -94,4 +93,6 @@
 <glossdef><para>Roaring Penguin</para></glossdef></glossentry>
 
+<glossentry id="gXMMS"><glossterm><acronym>XMMS</acronym></glossterm>
+<glossdef><para>X MultiMedia System</para></glossdef></glossentry>
 
 </glossdiv>
Index: basicnet/netprogs/cvs.xml
===================================================================
--- basicnet/netprogs/cvs.xml	(revision dad52e374c82fab5f96a0ab7e58d905ebe4645cf)
+++ basicnet/netprogs/cvs.xml	(revision 9635613edb824b6c5dfcb4c13d66054021048ed0)
@@ -1,5 +1,5 @@
-<sect1 id="cvs" xreflabel="cvs-&cvs-version;">
+<sect1 id="cvs" xreflabel="CVS-&cvs-version;">
 <?dbhtml filename="cvs.html" dir="basicnet"?>
-<title>cvs-&cvs-version;</title>
+<title>CVS-&cvs-version;</title>
 
 &cvs-intro;
Index: basicnet/netprogs/cvs/cvs-config.xml
===================================================================
--- basicnet/netprogs/cvs/cvs-config.xml	(revision dad52e374c82fab5f96a0ab7e58d905ebe4645cf)
+++ basicnet/netprogs/cvs/cvs-config.xml	(revision 9635613edb824b6c5dfcb4c13d66054021048ed0)
@@ -1,4 +1,4 @@
 <sect2>
-<title>Configuring <application>cvs</application></title>
+<title>Configuring <application><acronym>CVS</acronym></application></title>
 
 <sect3><title>Config files</title>
@@ -8,12 +8,14 @@
 <sect3><title>Configuration Information</title>
 
-<para><filename>~/.cvsrc</filename> is the main <application>cvs</application> configuration file.
-This file is used by users to specify defaults for different cvs commands, for example to
-make all cvs diff commands run with -u, a user would add diff -u to
-their <filename>.cvsrc</filename> file.</para>
+<para><filename>~/.cvsrc</filename> is the main
+<application><acronym>CVS</acronym></application> configuration file.
+This file is used by users to specify defaults for different <command>cvs
+</command> commands, for example to make all <command>cvs diff</command> 
+commands run with <userinput>-u</userinput>, a user would add <userinput>
+diff -u</userinput> to their <filename>.cvsrc</filename> file.</para>
 
-<para><filename>~/.cvswrappers</filename> specifies wrappers to be used in addition to
-those specified in the <filename>CVSROOT/cvswrappers</filename> file in the
-repository.</para></sect3>
+<para><filename>~/.cvswrappers</filename> specifies wrappers to be used in 
+addition to those specified in the <filename>CVSROOT/cvswrappers</filename> 
+file in the repository.</para></sect3>
 
 </sect2>
Index: basicnet/netprogs/cvs/cvs-desc.xml
===================================================================
--- basicnet/netprogs/cvs/cvs-desc.xml	(revision dad52e374c82fab5f96a0ab7e58d905ebe4645cf)
+++ basicnet/netprogs/cvs/cvs-desc.xml	(revision 9635613edb824b6c5dfcb4c13d66054021048ed0)
@@ -2,6 +2,7 @@
 <title>Contents</title>
 
-<para>The <application><acronym>cvs</acronym></application> package contains <command>cvs</command>, <command>cvsbug</command> and
-<command>rcs2log</command>.</para>
+<para>The <application><acronym>CVS</acronym></application> package contains 
+<command>cvs</command>, <command>cvsbug</command> and <command>rcs2log
+</command>.</para>
 
 </sect2>
Index: basicnet/netprogs/cvs/cvs-inst.xml
===================================================================
--- basicnet/netprogs/cvs/cvs-inst.xml	(revision dad52e374c82fab5f96a0ab7e58d905ebe4645cf)
+++ basicnet/netprogs/cvs/cvs-inst.xml	(revision 9635613edb824b6c5dfcb4c13d66054021048ed0)
@@ -1,4 +1,4 @@
 <sect2>
-<title>Installation of <application><acronym>cvs</acronym></application></title>
+<title>Installation of <application><acronym>CVS</acronym></application></title>
 
 <para>The <filename>cvs-&cvs-version;-zlib.patch</filename> patch is
Index: basicnet/netprogs/cvs/cvs-intro.xml
===================================================================
--- basicnet/netprogs/cvs/cvs-intro.xml	(revision dad52e374c82fab5f96a0ab7e58d905ebe4645cf)
+++ basicnet/netprogs/cvs/cvs-intro.xml	(revision 9635613edb824b6c5dfcb4c13d66054021048ed0)
@@ -1,8 +1,8 @@
 <sect2>
-<title>Introduction to <application><acronym>cvs</acronym></application></title>
+<title>Introduction to <application><acronym>CVS</acronym></application></title>
 
-<para><application><acronym>CVS</acronym></application> is the concurrent versioning system. This is useful for
-projects on which multiple people are working or where archives of
-previous versions of files need to be kept.</para>
+<para><application><acronym>CVS</acronym></application> is the concurrent 
+versioning system. This is useful for projects on which multiple people are 
+working or where archives of previous versions of files need to be kept.</para>
 
 <sect3><title>Package information</title>
Index: general/genlib/libfam/libfam-inst.xml
===================================================================
--- general/genlib/libfam/libfam-inst.xml	(revision dad52e374c82fab5f96a0ab7e58d905ebe4645cf)
+++ general/genlib/libfam/libfam-inst.xml	(revision 9635613edb824b6c5dfcb4c13d66054021048ed0)
@@ -10,5 +10,5 @@
 <note><para>You will get warnings about make install being unable to
 merge entries in <filename>/etc/rpc</filename>.  These can be ignored, along 
-with any <abbrev>imon</abbrev> or <filename>inetd.conf</filename> warnings, 
+with any <acronym>IMON</acronym> or <filename>inetd.conf</filename> warnings, 
 as we will be configuring these files after installation.</para></note>
 
Index: general/prog/nasm/nasm-desc.xml
===================================================================
--- general/prog/nasm/nasm-desc.xml	(revision dad52e374c82fab5f96a0ab7e58d905ebe4645cf)
+++ general/prog/nasm/nasm-desc.xml	(revision 9635613edb824b6c5dfcb4c13d66054021048ed0)
@@ -2,6 +2,6 @@
 <title>Contents</title>
 
-<para>The NASM package contains <command>nasm</command> and
-<command>ndisasm</command> programs.</para>
+<para>The <application><acronym>NASM</acronym></application> package contains <command>nasm
+</command> and <command>ndisasm</command> programs.</para>
 
 </sect2>
Index: general/prog/nasm/nasm-inst.xml
===================================================================
--- general/prog/nasm/nasm-inst.xml	(revision dad52e374c82fab5f96a0ab7e58d905ebe4645cf)
+++ general/prog/nasm/nasm-inst.xml	(revision 9635613edb824b6c5dfcb4c13d66054021048ed0)
@@ -1,6 +1,6 @@
 <sect2>
-<title>Installation of <application>NASM</application></title>
+<title>Installation of <application><acronym>NASM</acronym></application></title>
 
-<para>Install <application>NASM</application> by running the
+<para>Install <application><acronym>NASM</acronym></application> by running the
 following commands:</para>
 
Index: general/prog/nasm/nasm-intro.xml
===================================================================
--- general/prog/nasm/nasm-intro.xml	(revision dad52e374c82fab5f96a0ab7e58d905ebe4645cf)
+++ general/prog/nasm/nasm-intro.xml	(revision 9635613edb824b6c5dfcb4c13d66054021048ed0)
@@ -1,7 +1,8 @@
 <sect2>
-<title>Introduction to <application>NASM</application></title>
+<title>Introduction to <application><acronym>NASM</acronym></application></title>
 
-<para>NASM (The Netwide Assembler) is an 80x86 assembler designed for
-portability and modularity. It includes a disassembler as well.</para>
+<para><application><acronym>NASM</acronym></application> (Netwide Assembler) is 
+an 80x86 assembler designed for portability and modularity. It includes a 
+disassembler as well.</para>
 
 <sect3><title>Package information</title>
Index: multimedia/audioutils/xmms.xml
===================================================================
--- multimedia/audioutils/xmms.xml	(revision dad52e374c82fab5f96a0ab7e58d905ebe4645cf)
+++ multimedia/audioutils/xmms.xml	(revision 9635613edb824b6c5dfcb4c13d66054021048ed0)
@@ -1,5 +1,5 @@
-<sect1 id="xmms" xreflabel="xmms-&XMMS-version;">
+<sect1 id="xmms" xreflabel="XMMS-&XMMS-version;">
 <?dbhtml filename="xmms.html" dir="multimedia"?>
-<title>xmms-&XMMS-version;</title>
+<title>XMMS-&XMMS-version;</title>
 
 &XMMS-intro;
Index: multimedia/audioutils/xmms/xmms-config.xml
===================================================================
--- multimedia/audioutils/xmms/xmms-config.xml	(revision dad52e374c82fab5f96a0ab7e58d905ebe4645cf)
+++ multimedia/audioutils/xmms/xmms-config.xml	(revision 9635613edb824b6c5dfcb4c13d66054021048ed0)
@@ -1,4 +1,4 @@
 <sect2>
-<title>Configuring <application>xmms</application></title>
+<title>Configuring <application><acronym>XMMS</acronym></application></title>
 
 <sect3><title>Config files</title>
Index: multimedia/audioutils/xmms/xmms-desc.xml
===================================================================
--- multimedia/audioutils/xmms/xmms-desc.xml	(revision dad52e374c82fab5f96a0ab7e58d905ebe4645cf)
+++ multimedia/audioutils/xmms/xmms-desc.xml	(revision 9635613edb824b6c5dfcb4c13d66054021048ed0)
@@ -2,5 +2,5 @@
 <title>Contents</title>
 
-<para>The xmms package contains <command>xmms</command>, <command>xmms-config</command>, <command>gnomexmss</command> and <command>wmxmms.</command></para>
+<para>The <application><acronym>XMMS</acronym></application> package contains <command>xmms</command>, <command>xmms-config</command>, <command>gnomexmss</command> and <command>wmxmms.</command></para>
 
 </sect2>
@@ -17,5 +17,5 @@
 <sect3><title>xmms-config</title>
 <para>This script is used by other programs which need to link with xmms to
-retrieve the library and include paths XMMS was compiled with. </para></sect3>
+retrieve the library and include paths. </para></sect3>
 
 <sect3><title>gnomexmms</title>
Index: multimedia/audioutils/xmms/xmms-inst.xml
===================================================================
--- multimedia/audioutils/xmms/xmms-inst.xml	(revision dad52e374c82fab5f96a0ab7e58d905ebe4645cf)
+++ multimedia/audioutils/xmms/xmms-inst.xml	(revision 9635613edb824b6c5dfcb4c13d66054021048ed0)
@@ -1,6 +1,6 @@
 <sect2>
-<title>Installation of <application>XMMS</application></title>
+<title>Installation of <application><acronym>XMMS</acronym></application></title>
 
-<para>Install <application>XMMS</application> by running the following commands:
+<para>Install <application><acronym>XMMS</acronym></application> by running the following commands:
 </para>
 
Index: multimedia/audioutils/xmms/xmms-intro.xml
===================================================================
--- multimedia/audioutils/xmms/xmms-intro.xml	(revision dad52e374c82fab5f96a0ab7e58d905ebe4645cf)
+++ multimedia/audioutils/xmms/xmms-intro.xml	(revision 9635613edb824b6c5dfcb4c13d66054021048ed0)
@@ -1,6 +1,6 @@
 <sect2>
-<title>Introduction to <application>XMMS</application></title>
+<title>Introduction to <application><acronym>XMMS</acronym></application></title>
 
-<para><application>XMMS</application> is an audio player for the
+<para><application><acronym>XMMS</acronym></application> is an audio player for the
 <application>X</application> Window System. </para>
 
@@ -18,5 +18,5 @@
 </sect3>
                                                                                 
-<sect3><title><application>XMMS</application> dependencies</title>
+<sect3><title><application><acronym>XMMS</acronym></application> dependencies</title>
 <sect4><title>Required</title>
 <para>a working soundcard, <xref linkend="xfree86"/>, <xref