Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 975d907ac8bc36e6e2d5cc58aee9cb04e576940d)
+++ introduction/welcome/changelog.xml	(revision 9904475df93ee056aae5a945d352fd782aff4159)
@@ -11,4 +11,7 @@
 
 <itemizedlist>
+
+<listitem><para>April 5th, 2004 [igor]: Updated to GIMP-2.0.0,
+courtesy of Randy McMurchy.</para></listitem>
 
 <listitem><para>April 5th, 2004 [igor]: Added /etc/shells page,
Index: xsoft/office/gimp/gimp-config.xml
===================================================================
--- xsoft/office/gimp/gimp-config.xml	(revision 975d907ac8bc36e6e2d5cc58aee9cb04e576940d)
+++ xsoft/office/gimp/gimp-config.xml	(revision 9904475df93ee056aae5a945d352fd782aff4159)
@@ -3,5 +3,5 @@
 
 <sect3><title>Config files</title>
-<para><filename>~/.gimp-1.2</filename></para>
+<para><filename>/etc/gimp/2.0/*</filename>, <filename>~/.gimp-2.0</filename></para>
 </sect3>
 
@@ -9,8 +9,7 @@
 
 <para><application><acronym>GIMP</acronym></application> executes a 
-configuration wizard for each users upon their initial invocation of the 
+configuration wizard for each user upon their initial invocation of the 
 program.</para>
 </sect3>
 
 </sect2>
-
Index: xsoft/office/gimp/gimp-desc.xml
===================================================================
--- xsoft/office/gimp/gimp-desc.xml	(revision 975d907ac8bc36e6e2d5cc58aee9cb04e576940d)
+++ xsoft/office/gimp/gimp-desc.xml	(revision 9904475df93ee056aae5a945d352fd782aff4159)
@@ -3,6 +3,6 @@
 
 <para>The <application><acronym>GIMP</acronym></application> package contains 
-<command>gimp</command>, <command>escputil</command>, 
-<command>gimp-config</command> and <command>gimp-remote</command>.</para>
+<command>gimp</command>, <command>gimp-remote</command> and
+<command>gimptool</command>.</para>
 
 </sect2>
@@ -15,16 +15,15 @@
 </sect3>
 
-<sect3><title>escputil</title>
-<para><command>escputil</command> is a utility to perform maintenance tasks on 
-an Epson Stylus inkjet printer.</para></sect3>
-
-<sect3><title>gimp-config</title>
-<para><command>gimp-config</command> is used by other programs that want to 
-link to <application><acronym>GIMP</acronym></application> libraries.</para></sect3>
-
 <sect3><title>gimp-remote</title>
 <para><command>gimp-remote</command> is a small utility that tells a running 
 <application><acronym>GIMP</acronym></application> to open a local or remote image file.</para></sect3>
 
+<sect3><title>gimptool</title>
+<para><command>gimptool</command> is a tool that can build plug-ins or
+scripts and install them if they are distributed in one source file.
+<command>gimptool</command> can also be used by programs that need to
+know what libraries and include-paths
+<application><acronym>GIMP</acronym></application> was compiled with.
+</para></sect3>
+
 </sect2>
-
Index: xsoft/office/gimp/gimp-intro.xml
===================================================================
--- xsoft/office/gimp/gimp-intro.xml	(revision 975d907ac8bc36e6e2d5cc58aee9cb04e576940d)
+++ xsoft/office/gimp/gimp-intro.xml	(revision 9904475df93ee056aae5a945d352fd782aff4159)
@@ -19,4 +19,5 @@
 </sect3>
 
+<!--
 <sect3><title>Additional downloads</title>
 <itemizedlist spacing='compact'>
@@ -26,14 +27,26 @@
 url="ftp://ftp.gimp.org/pub/gimp/v1.2/v1.2.5/gimp-data-extras-1.2.0.tar.bz2"/></para></listitem></itemizedlist>
 </sect3>
-                                                                                
+-->
+
 <sect3><title><application><acronym>GIMP</acronym></application> dependencies</title>
 <sect4><title>Required</title>
-<para><xref linkend="GTK"/></para></sect4>
+<para>
+<xref linkend="GTK2"/> and
+<xref linkend="libart_lgpl"/>
+</para></sect4>
 <sect4><title>Optional</title>
-<para><xref linkend="gimp-print"/>,
-<xref linkend="aalib"/>, <xref linkend="gnome-libs"/>, <ulink
-url="http://starship.python.net/~gward/mpeglib/">mpeg_lib</ulink>
-and <xref linkend="perl-modules"/>: Gtk-Perl-&Gtk-Perl-version;,
-PDL-&PDL-version; and Parse-RecDescent-&Parse-RecDescent-version;</para></sect4>
+<para>
+<xref linkend="gimp-print"/>,
+<xref linkend="libmng"/>,
+<xref linkend="librsvg"/>,
+<xref linkend="aalib"/>,
+<xref linkend="Python"/>,
+<xref linkend="gtk-doc"/>,
+<xref linkend="libgtkhtml"/>,
+<xref linkend="lcms"/>,
+<ulink url="../server/mail.html">MTA</ulink>,
+<ulink url="http://sourceforge.net/projects/libexif">libexif</ulink> and
+<ulink url="http://wvware.sourceforge.net/libwmf.html">libwmf</ulink>
+</para></sect4>
 </sect3>
 
Index: xsoft/office/gimp/gimp.ent
===================================================================
--- xsoft/office/gimp/gimp.ent	(revision 975d907ac8bc36e6e2d5cc58aee9cb04e576940d)
+++ xsoft/office/gimp/gimp.ent	(revision 9904475df93ee056aae5a945d352fd782aff4159)
@@ -5,8 +5,8 @@
 <!ENTITY gimp-config SYSTEM "gimp-config.xml">
 <!ENTITY gimp-desc SYSTEM "gimp-desc.xml">
-<!ENTITY gimp-version "1.2.5">
-<!ENTITY gimp-download-http "http://gd.tuwien.ac.at/graphics/gimp/gimp/v1.2/v&gimp-version;/gimp-&gimp-version;.tar.bz2">
-<!ENTITY gimp-download-ftp "ftp://ftp.gimp.org/pub/gimp/v1.2/v&gimp-version;/gimp-&gimp-version;.tar.bz2">
-<!ENTITY gimp-size "10.6 MB">
-<!ENTITY gimp-buildsize "226 MB">
-<!ENTITY gimp-time "3.62 SBU">
+<!ENTITY gimp-version "2.0.0">
+<!ENTITY gimp-download-http "">
+<!ENTITY gimp-download-ftp "ftp://ftp.gimp.org/pub/gimp/v2.0/gimp-&gimp-version;.tar.bz2">
+<!ENTITY gimp-size "13 MB">
+<!ENTITY gimp-buildsize "507 MB">
+<!ENTITY gimp-time "6.22 SBU">