Index: multimedia/cdwriteutils/cdrtools.xml
===================================================================
--- multimedia/cdwriteutils/cdrtools.xml	(revision 9981513bca8615226c403ccb76104606ba65b397)
+++ multimedia/cdwriteutils/cdrtools.xml	(revision 9981513bca8615226c403ccb76104606ba65b397)
@@ -0,0 +1,266 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY cdrtools-download-http "http://downloads.sourceforge.net/cdrtools/cdrtools-&cdrtools-version;.tar.bz2">
+  <!ENTITY cdrtools-download-ftp  " ">
+  <!ENTITY cdrtools-md5sum        "ea362a6a42d8aa0d5fc154d195f47926">
+  <!ENTITY cdrtools-size          "2.1 MB">
+  <!ENTITY cdrtools-buildsize     "41 MB">
+  <!ENTITY cdrtools-time          "0.5 SBU">
+]>
+
+<sect1 id="cdrtools" xreflabel="Cdrtools-&cdrtools-version;">
+  <?dbhtml filename="cdrtools.html"?>
+
+  <sect1info>
+    <othername>$LastChangedBy$</othername>
+    <date>$Date$</date>
+  </sect1info>
+
+  <title>Cdrtools-&cdrtools-version;</title>
+
+  <indexterm zone="cdrtools">
+    <primary sortas="a-Cdrtools">Cdrtools</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title>Introduction to Cdrtools</title>
+
+    <para>The <application>Cdrtools</application> package contains
+    CD recording utilities. These are useful for reading, creating or writing
+    (burning) CDs, DVDs, and Blu-ray discs.</para>
+
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>Download (HTTP): <ulink url="&cdrtools-download-http;"/></para>
+      </listitem>
+      <listitem>
+        <para>Download (FTP): <ulink url="&cdrtools-download-ftp;"/></para>
+      </listitem>
+      <listitem>
+        <para>Download MD5 sum: &cdrtools-md5sum;</para>
+      </listitem>
+      <listitem>
+        <para>Download size: &cdrtools-size;</para>
+      </listitem>
+      <listitem>
+        <para>Estimated disk space required: &cdrtools-buildsize;</para>
+      </listitem>
+      <listitem>
+        <para>Estimated build time: &cdrtools-time;</para>
+      </listitem>
+    </itemizedlist>
+
+    <para condition="html" role="usernotes">User Notes:
+    <ulink url="&blfs-wiki;/Cdrtools"/></para>
+
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of Cdrtools</title>
+    <para>Install <application>Cdrtools</application> by running the following
+    commands:</para>
+
+<screen><userinput>export GMAKE_NOWARN=true &amp;&amp;
+make INS_BASE=/usr DEFINSUSR=root DEFINSGRP=root</userinput></screen>
+
+    <para>This package does not come with a test suite.</para>
+
+    <para>Now, as the <systemitem class="username">root</systemitem> user:</para>
+
+<screen role="root"><userinput>export GMAKE_NOWARN=true &amp;&amp;
+make INS_BASE=/usr DEFINSUSR=root DEFINSGRP=root install &amp;&amp;
+install -v -m755 -d /usr/share/doc/cdrtools-&cdrtools-version; &amp;&amp;
+install -v -m644 README* ABOUT doc/*.ps \
+                    /usr/share/doc/cdrtools-&cdrtools-version;</userinput></screen>
+
+  </sect2>
+
+  <sect2 role="commands">
+    <title>Command Explanations</title>
+
+    <para><command>export GMAKE_NOWARN=true</command>: This variable avoids a
+    warning when using GNU make.</para>
+
+    <para><parameter>INS_BASE=/usr</parameter>: This parameter moves
+    the install directory from <filename class="directory">/opt/schily</filename>
+    to <filename class="directory">/usr</filename>.</para>
+
+    <para><parameter>DEFINSUSR=root DEFINSGRP=root</parameter>: These
+    parameters install all programs with root:root ownership instead of the default
+    bin:bin.</para>
+
+  </sect2>
+
+  <sect2 role="content">
+    <title>Contents</title>
+
+    <segmentedlist>
+      <segtitle>Installed Programs</segtitle>
+      <segtitle>Installed Libraries</segtitle>
+      <segtitle>Installed Directories</segtitle>
+
+      <seglistitem>
+        <seg>btcflash, cdda2mp3, cdda2ogg, cdda2wav, cdrecord, devdump,
+             isodebug, isodump, isoinfo, isovfy, mkhybrid, mkisofs, readcd,
+             rscsi, scgcheck, scgskeleton</seg>
+
+        <seg>libcdrdeflt.a, libdeflt.a, libedc_ecc.a, libedc_ecc_dec.a,
+             libfile.a, libfind.a, libhfs.a, libmdigest.a, libparanoia.a,
+             librscg.a, libscg.a, libscgcmd.a, libschily.a, libsiconv.a</seg>
+
+        <seg>/usr/lib/{profiled,siconv}, /usr/include/{scg,schily},
+             /usr/share/doc/cdda2wav,cdrecord,libparanoia,mkisofs,rscsi}</seg>
+      </seglistitem>
+    </segmentedlist>
+
+    <variablelist>
+      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+      <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
+
+      <varlistentry id="cdda2wav">
+        <term><command>cdda2wav</command></term>
+        <listitem>
+          <para>converts Compact Disc audio into WAV sound files.</para>
+          <indexterm zone="cdrtools cdda2wav">
+            <primary sortas="b-cdda2wav">cdda2wav</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="cdrecord">
+        <term><command>cdrecord</command></term>
+        <listitem>
+          <para>records audio or data Compact Discs.</para>
+          <indexterm zone="cdrtools cdrecord">
+            <primary sortas="b-cdrecord">cdrecord</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="devdump">
+        <term><command>devdump</command></term>
+        <listitem>
+          <para>is a diagnostic program used to dump an
+          ISO-9660 device or file in hex.</para>
+          <indexterm zone="cdrtools devdump">
+            <primary sortas="b-devdump">devdump</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="isodebug">
+        <term><command>isodebug</command></term>
+        <listitem>
+          <para>is used to display the command-line parameters used to create
+          an ISO-9660 image.</para>
+          <indexterm zone="cdrtools isodebug">
+            <primary sortas="b-isodebug">isodebug</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="isodump">
+        <term><command>isodump</command></term>
+        <listitem>
+          <para>is a diagnostic program used to dump a device or file based on
+          ISO-9660.</para>
+          <indexterm zone="cdrtools isodump">
+            <primary sortas="b-isodump">isodump</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="isoinfo">
+        <term><command>isoinfo</command></term>
+        <listitem>
+          <para>is used to analyze or list an ISO-9660 image.</para>
+          <indexterm zone="cdrtools isoinfo">
+            <primary sortas="b-isoinfo">isoinfo</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="isovfy">
+        <term><command>isovfy</command></term>
+        <listitem>
+          <para>is used to verify an ISO-9660 image.</para>
+          <indexterm zone="cdrtools isovfy">
+            <primary sortas="b-isovfy">isovfy</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="mkhybrid">
+        <term><command>mkhybrid</command></term>
+        <listitem>
+          <para>is a symbolic link to <command>mkisofs</command> used to
+          create ISO-9660/HFS hybrid filesystem images.</para>
+          <indexterm zone="cdrtools mkhybrid">
+            <primary sortas="b-mkhybrid">mkhybrid</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="mkisofs">
+        <term><command>mkisofs</command></term>
+        <listitem>
+          <para>is used to create ISO-9660/JOLIET/HFS filesystem images,
+          optionally with Rock Ridge attributes.</para>
+          <indexterm zone="cdrtools mkisofs">
+            <primary sortas="b-mkisofs">mkisofs</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="readcd">
+        <term><command>readcd</command></term>
+        <listitem>
+          <para>reads or writes Compact Discs.</para>
+          <indexterm zone="cdrtools readcd">
+            <primary sortas="b-readcd">readcd</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="rscsi">
+        <term><command>rscsi</command></term>
+        <listitem>
+          <para>is a remote SCSI manager.</para>
+          <indexterm zone="cdrtools rscsi">
+            <primary sortas="b-rscsi">rscsi</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="scgcheck">
+        <term><command>scgcheck</command></term>
+        <listitem>
+          <para>is used to check and verify the Application Binary Interface
+          of <filename class="libraryfile">libscg</filename>.</para>
+          <indexterm zone="cdrtools scgcheck">
+            <primary sortas="b-scgcheck">scgcheck</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="libscg">
+        <term><filename class='libraryfile'>libscg.a</filename></term>
+        <listitem>
+          <para>is a highly portable SCSI transport library.</para>
+          <indexterm zone="cdrtools libscg">
+            <primary sortas="c-libscg">libscg.a</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+    </variablelist>
+
+  </sect2>
+
+</sect1>
Index: multimedia/cdwriteutils/cdwriteutils.xml
===================================================================
--- multimedia/cdwriteutils/cdwriteutils.xml	(revision 1d768210f9ad728dc8ae6e86994e03fbdd6ad963)
+++ multimedia/cdwriteutils/cdwriteutils.xml	(revision 9981513bca8615226c403ccb76104606ba65b397)
@@ -38,4 +38,5 @@
 
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="cdrdao.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="cdrtools.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="dvd+rw-tools.xml"/>
 <!--  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="k3b.xml"/> -->
Index: multimedia/cdwriteutils/dvd+rw-tools.xml
===================================================================
--- multimedia/cdwriteutils/dvd+rw-tools.xml	(revision 1d768210f9ad728dc8ae6e86994e03fbdd6ad963)
+++ multimedia/cdwriteutils/dvd+rw-tools.xml	(revision 9981513bca8615226c403ccb76104606ba65b397)
@@ -79,10 +79,5 @@
 
     <bridgehead renderas="sect4">Required</bridgehead>
-    <para>
-      Though not required during the build, you must have installed a package
-      which provides the <command>xorrisofs</command> command, such as
-      <xref linkend="libisoburn"/>, or the <command>growisofs</command> command
-      will not function properly, rendering the entire package useless.
-    </para>
+    <para><xref linkend="cdrtools"/> (runtime)</para>
 
     <para condition="html" role="usernotes">
@@ -100,7 +95,4 @@
 
 <screen><userinput>sed -i '/stdlib/a #include &lt;limits.h&gt;' transport.hxx &amp;&amp;
-sed -i 's#mkisofs"#xorrisofs"#' growisofs.c &amp;&amp;
-sed -i 's#mkisofs#xorrisofs#;s#MKISOFS#XORRISOFS#' growisofs.1 &amp;&amp;
-
 make all rpl8 btcflash</userinput></screen>
 
@@ -127,4 +119,7 @@
     </para>
 
+<!-- left these here in the event that libisoburn gets fixed and can be a
+     substitution again
+
     <para>
       <command>sed -i 's#mkisofs"#xorrisofs"#' growisofs.c</command>: This sed
@@ -140,5 +135,5 @@
       above change.
     </para>
-
+-->
     <para>
       <command>make all rpl8 btcflash</command>: This command uses additional