Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 878fed7c124c148874a44ec1dad298f8ab480e27)
+++ introduction/welcome/changelog.xml	(revision 10513885a681426b2761240939106e5b1ef56909)
@@ -46,4 +46,16 @@
       <itemizedlist>
         <listitem>
+          <para>[bdubbs] - Update to sudo-1.8.26. Fixes
+          <ulink url="&blfs-ticket-root;11344">#11344</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to iptables-1.8.2. Fixes
+          <ulink url="&blfs-ticket-root;11343">#11343</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to nano-3.2. Fixes
+          <ulink url="&blfs-ticket-root;11339">#11339</ulink>.</para>
+        </listitem>
+        <listitem>
           <para>[timtas] - Update to thunderbird-60.3.1. Fixes
           <ulink url="&blfs-ticket-root;11347">#11347</ulink>.</para>
Index: packages.ent
===================================================================
--- packages.ent	(revision 878fed7c124c148874a44ec1dad298f8ab480e27)
+++ packages.ent	(revision 10513885a681426b2761240939106e5b1ef56909)
@@ -19,5 +19,5 @@
 <!ENTITY gpgme-version                "1.12.0">
 <!ENTITY haveged-version              "1.9.2">
-<!ENTITY iptables-version             "1.8.1">
+<!ENTITY iptables-version             "1.8.2">
 <!ENTITY libcap-version               "2.26">
 <!ENTITY liboauth-version             "1.0.3">
@@ -43,5 +43,5 @@
 <!ENTITY ssh-askpass-version          "&openssh-version;">
 <!ENTITY stunnel-version              "5.49">
-<!ENTITY sudo-version                 "1.8.25p1">
+<!ENTITY sudo-version                 "1.8.26">
 <!ENTITY tripwire-version             "2.4.3.7">
 <!ENTITY volume_key-version           "0.3.12">
@@ -70,5 +70,5 @@
 <!ENTITY joe-version                  "4.6">
 <!ENTITY juffed-version               "0.10.r71.gc3c1a3f">
-<!ENTITY nano-version                 "3.1">
+<!ENTITY nano-version                 "3.2">
 <!ENTITY vim-version                  "8.1">
 <!ENTITY vim-majmin                   "80">
Index: postlfs/editors/nano.xml
===================================================================
--- postlfs/editors/nano.xml	(revision 878fed7c124c148874a44ec1dad298f8ab480e27)
+++ postlfs/editors/nano.xml	(revision 10513885a681426b2761240939106e5b1ef56909)
@@ -8,5 +8,5 @@
   <!ENTITY nano-download-http "https://www.nano-editor.org/dist/v3/nano-&nano-version;.tar.xz">
   <!ENTITY nano-download-ftp  " ">
-  <!ENTITY nano-md5sum        "e5cbe298e4362fabb7e55173862b9a3d">
+  <!ENTITY nano-md5sum        "2606dc0dc31a088f16c7d603b42d23d0">
   <!ENTITY nano-size          "1.4 MB">
   <!ENTITY nano-buildsize     "17 MB">
Index: postlfs/security/iptables.xml
===================================================================
--- postlfs/security/iptables.xml	(revision 878fed7c124c148874a44ec1dad298f8ab480e27)
+++ postlfs/security/iptables.xml	(revision 10513885a681426b2761240939106e5b1ef56909)
@@ -7,8 +7,8 @@
   <!ENTITY iptables-download-http "http://www.netfilter.org/projects/iptables/files/iptables-&iptables-version;.tar.bz2">
   <!ENTITY iptables-download-ftp  "ftp://ftp.netfilter.org/pub/iptables/iptables-&iptables-version;.tar.bz2">
-  <!ENTITY iptables-md5sum        "b5b0b43afc245176c36a14c4fca6e661">
-  <!ENTITY iptables-size          "662 KB">
-  <!ENTITY iptables-buildsize     "11 MB">
-  <!ENTITY iptables-time          "0.1 SBU">
+  <!ENTITY iptables-md5sum        "944558e88ddcc3b9b0d9550070fa3599">
+  <!ENTITY iptables-size          "664 KB">
+  <!ENTITY iptables-buildsize     "17 MB">
+  <!ENTITY iptables-time          "0.2 SBU">
 ]>
 
@@ -131,15 +131,4 @@
     </note>
 
-   <para>
-     Fix a build failure if 
-     <ulink url="http://www.netfilter.org/projects/nftables/index.html">nftables</ulink>
-     is not installed:
-   </para>
-
-<screen><userinput>sed -e "/iptables\/nft\.h/d" \
-    -i extensions/libxt_limit.c
-sed -e "/^struct nftnl_rule;/a struct iptables_command_state;" \
-    -i iptables/nft-bridge.h</userinput></screen>
-
     <para>
       Install <application>Iptables</application> by running the following
Index: postlfs/security/sudo.xml
===================================================================
--- postlfs/security/sudo.xml	(revision 878fed7c124c148874a44ec1dad298f8ab480e27)
+++ postlfs/security/sudo.xml	(revision 10513885a681426b2761240939106e5b1ef56909)
@@ -7,7 +7,7 @@
   <!ENTITY sudo-download-http "http://www.sudo.ws/dist/sudo-&sudo-version;.tar.gz">
   <!ENTITY sudo-download-ftp  "ftp://ftp.sudo.ws/pub/sudo/sudo-&sudo-version;.tar.gz">
-  <!ENTITY sudo-md5sum        "d4e0b99809d905d8dcbfbe9ae42aba2b">
-  <!ENTITY sudo-size          "3.0 MB">
-  <!ENTITY sudo-buildsize     "37 MB (with tests)">
+  <!ENTITY sudo-md5sum        "833084947d98e7745b94845f4b7a8a9a">
+  <!ENTITY sudo-size          "3.1 MB">
+  <!ENTITY sudo-buildsize     "38 MB (with tests)">
   <!ENTITY sudo-time          "0.4 SBU (with tests)">
 ]>