Index: gnome.ent
===================================================================
--- gnome.ent	(revision e130fead958f5d7008290ac27e33acab9ee62c67)
+++ gnome.ent	(revision 14861808d5fd664bade374fd4d0212788aee1180)
@@ -38,15 +38,15 @@
 <!ENTITY libgweather-version               "3.28.2">
 <!ENTITY libpeas-version                   "1.22.0">
-<!ENTITY libwnck-version                   "3.24.1">
-<!ENTITY evolution-data-server-version     "3.28.5">
+<!ENTITY libwnck-version                   "3.30.0">
+<!ENTITY evolution-data-server-version     "3.30.3">
 <!ENTITY folks-version                     "0.11.4">
 <!ENTITY gfbgraph-version                  "0.2.3">
-<!ENTITY tracker-version                   "2.0.4">
+<!ENTITY tracker-version                   "2.1.6">
 
 <!-- Runtime (sysv) and Desktop (systemd) -->
 <!ENTITY caribou-version                   "0.4.21">
-<!ENTITY dconf-version                     "0.28.0">
-<!ENTITY dconf-editor-version              "3.28.0">
-<!ENTITY gnome-backgrounds-version         "3.28.0">
+<!ENTITY dconf-version                     "0.30.1">
+<!ENTITY dconf-editor-version              "3.30.2">
+<!ENTITY gnome-backgrounds-version         "3.30.0">
 <!ENTITY gvfs-version                      "1.36.2">
 <!ENTITY gexiv2-version                    "0.10.8">
Index: gnome/platform/dconf.xml
===================================================================
--- gnome/platform/dconf.xml	(revision e130fead958f5d7008290ac27e33acab9ee62c67)
+++ gnome/platform/dconf.xml	(revision 14861808d5fd664bade374fd4d0212788aee1180)
@@ -6,18 +6,18 @@
 
 <!-- DConf -->
-  <!ENTITY dconf-download-http "&gnome-download-http;/dconf/0.28/dconf-&dconf-version;.tar.xz">
-  <!ENTITY dconf-download-ftp  "&gnome-download-ftp;/dconf/0.28/dconf-&dconf-version;.tar.xz">
-  <!ENTITY dconf-md5sum        "81faa8e68e5ea71ff0ee75050fc0759c">
-  <!ENTITY dconf-size          "100 KB">
-  <!ENTITY dconf-buildsize     "7.1 MB">
+  <!ENTITY dconf-download-http "&gnome-download-http;/dconf/0.30/dconf-&dconf-version;.tar.xz">
+  <!ENTITY dconf-download-ftp  "&gnome-download-ftp;/dconf/0.30/dconf-&dconf-version;.tar.xz">
+  <!ENTITY dconf-md5sum        "a959eef51c917b3c57cfbef1448a375e">
+  <!ENTITY dconf-size          "104 KB">
+  <!ENTITY dconf-buildsize     "6.8 MB">
   <!ENTITY dconf-time          "less than 0.1 SBU">
 
 <!-- DConf-Editor -->
-  <!ENTITY dconf-editor-download-http "&gnome-download-http;/dconf-editor/&gnome-minor-28;/dconf-editor-&dconf-editor-version;.tar.xz">
-  <!ENTITY dconf-editor-download-ftp  "&gnome-download-ftp;/dconf-editor/&gnome-minor-28;/dconf-editor-&dconf-editor-version;.tar.xz">
-  <!ENTITY dconf-editor-md5sum        "cc9eb8020cc848812972d8519c3d05cf">
-  <!ENTITY dconf-editor-size          "408 KB">
-  <!ENTITY dconf-editor-buildsize     "14 MB">
-  <!ENTITY dconf-editor-time          "less than 0.1 SBU">
+  <!ENTITY dconf-editor-download-http "&gnome-download-http;/dconf-editor/&gnome-minor-30;/dconf-editor-&dconf-editor-version;.tar.xz">
+  <!ENTITY dconf-editor-download-ftp  "&gnome-download-ftp;/dconf-editor/&gnome-minor-30;/dconf-editor-&dconf-editor-version;.tar.xz">
+  <!ENTITY dconf-editor-md5sum        "5db3d67478c198504167143e069ebab9">
+  <!ENTITY dconf-editor-size          "440 KB">
+  <!ENTITY dconf-editor-buildsize     "22 MB">
+  <!ENTITY dconf-editor-time          "0.1 SBU">
 ]>
 
@@ -187,5 +187,5 @@
 cd    build &amp;&amp;
 
-meson --prefix=/usr --sysconfdir=/etc .. &amp;&amp;
+meson --prefix=/usr --sysconfdir=/etc -Dbash_completion=false .. &amp;&amp;
 ninja</userinput></screen>
 
@@ -220,5 +220,5 @@
         </seg>
         <seg>
-          libdconf-dbus-1.so, 
+           <!--libdconf-dbus-1.so, -->
           libdconf.so,
           and libdconfsettings.so (GIO Module installed in
@@ -226,6 +226,6 @@
         </seg>
         <seg>
-          /usr/{include,share/gtk-doc/html}/dconf and
-          /usr/include/dconf-dbus-1
+          /usr/{include,share/gtk-doc/html}/dconf 
+          <!-- and /usr/include/dconf-dbus-1 -->
         </seg>
       </seglistitem>
@@ -274,5 +274,5 @@
         </listitem>
       </varlistentry>
-
+      <!--
       <varlistentry id="libdconf-dbus-1">
         <term><filename class="libraryfile">libdconf-dbus-1.so</filename></term>
@@ -287,5 +287,5 @@
         </listitem>
       </varlistentry>
-
+      -->
     </variablelist>
 
Index: gnome/platform/evolution-data-server.xml
===================================================================
--- gnome/platform/evolution-data-server.xml	(revision e130fead958f5d7008290ac27e33acab9ee62c67)
+++ gnome/platform/evolution-data-server.xml	(revision 14861808d5fd664bade374fd4d0212788aee1180)
@@ -6,11 +6,11 @@
 
   <!ENTITY evolution-data-server-download-http
-           "&gnome-download-http;/evolution-data-server/&gnome-minor-28;/evolution-data-server-&evolution-data-server-version;.tar.xz">
+           "&gnome-download-http;/evolution-data-server/&gnome-minor-30;/evolution-data-server-&evolution-data-server-version;.tar.xz">
   <!ENTITY evolution-data-server-download-ftp
-           "&gnome-download-ftp;/evolution-data-server/&gnome-minor-28;/evolution-data-server-&evolution-data-server-version;.tar.xz">
-  <!ENTITY evolution-data-server-md5sum        "998d5b280372357346d2bc7afe45b36d">
-  <!ENTITY evolution-data-server-size          "4.2 MB">
-  <!ENTITY evolution-data-server-buildsize     "185 MB">
-  <!ENTITY evolution-data-server-time          "1.2 SBU">
+           "&gnome-download-ftp;/evolution-data-server/&gnome-minor-30;/evolution-data-server-&evolution-data-server-version;.tar.xz">
+  <!ENTITY evolution-data-server-md5sum        "417e408bd92a706cf2ecefee5ea991ad">
+  <!ENTITY evolution-data-server-size          "4.4 MB">
+  <!ENTITY evolution-data-server-buildsize     "192 MB">
+  <!ENTITY evolution-data-server-time          "1.7 SBU">
 ]>
 
@@ -96,4 +96,5 @@
       <xref linkend="gtk3"/>,
       <xref linkend="icu"/>,
+      <xref linkend="libcanberra"/>,
       <xref linkend="libgdata"/>,
       <xref linkend="libgweather"/>, and
@@ -129,9 +130,9 @@
 
 cmake -DCMAKE_INSTALL_PREFIX=/usr   \
+      -DSYSCONF_INSTALL_DIR=/etc    \
       -DENABLE_UOA=OFF              \
       -DENABLE_VALA_BINDINGS=ON     \
       -DENABLE_INSTALLED_TESTS=ON   \
       -DENABLE_GOOGLE=ON            \
-      -DENABLE_GOOGLE_AUTH=OFF      \
       -DWITH_OPENLDAP=OFF           \
       -DWITH_KRB5=OFF               \
@@ -162,4 +163,5 @@
     </para>
 
+    <!--
     <para>
       <parameter>-DENABLE_GOOGLE_AUTH=OFF</parameter>: This flag is used
@@ -168,4 +170,5 @@
       installed <application>Google Authenticator</application>.
     </para>
+    -->
 
     <para>
Index: gnome/platform/gnome-backgrounds.xml
===================================================================
--- gnome/platform/gnome-backgrounds.xml	(revision e130fead958f5d7008290ac27e33acab9ee62c67)
+++ gnome/platform/gnome-backgrounds.xml	(revision 14861808d5fd664bade374fd4d0212788aee1180)
@@ -6,10 +6,10 @@
 
   <!ENTITY gnome-backgrounds-download-http
-           "&gnome-download-http;/gnome-backgrounds/&gnome-minor-28;/gnome-backgrounds-&gnome-backgrounds-version;.tar.xz">
+           "&gnome-download-http;/gnome-backgrounds/&gnome-minor-30;/gnome-backgrounds-&gnome-backgrounds-version;.tar.xz">
   <!ENTITY gnome-backgrounds-download-ftp
-           "&gnome-download-ftp;/gnome-backgrounds/&gnome-minor-28;/gnome-backgrounds-&gnome-backgrounds-version;.tar.xz">
-  <!ENTITY gnome-backgrounds-md5sum        "eca3276373841a0cec2ed582d52a5899">
-  <!ENTITY gnome-backgrounds-size          "25 MB">
-  <!ENTITY gnome-backgrounds-buildsize     "27 MB">
+           "&gnome-download-ftp;/gnome-backgrounds/&gnome-minor-30;/gnome-backgrounds-&gnome-backgrounds-version;.tar.xz">
+  <!ENTITY gnome-backgrounds-md5sum        "13ecd0e4bb4721a68310948e67dbaaaa">
+  <!ENTITY gnome-backgrounds-size          "26 MB">
+  <!ENTITY gnome-backgrounds-buildsize     "56 MB">
   <!ENTITY gnome-backgrounds-time          "less than 0.1 SBU">
 ]>
Index: gnome/platform/libchamplain.xml
===================================================================
--- gnome/platform/libchamplain.xml	(revision e130fead958f5d7008290ac27e33acab9ee62c67)
+++ gnome/platform/libchamplain.xml	(revision 14861808d5fd664bade374fd4d0212788aee1180)
@@ -33,6 +33,6 @@
 
     <para>
-      The <application>libchamplain</application> is a Clutter based widget
-      used to display rich, eye-candy and interactive maps.
+      The <application>libchamplain</application> package contains a
+      Clutter-based widget that is used to display rich and interactive maps.
     </para>
 
Index: gnome/platform/libgee.xml
===================================================================
--- gnome/platform/libgee.xml	(revision e130fead958f5d7008290ac27e33acab9ee62c67)
+++ gnome/platform/libgee.xml	(revision 14861808d5fd664bade374fd4d0212788aee1180)
@@ -110,4 +110,6 @@
       To test the results, issue: <command>make check</command>.
     </para>
+    <!-- For some reason, the tests parallelize themselves and use all
+    cores available, regardless of prior settings in the environment.-->
 
     <para>
Index: gnome/platform/libwnck.xml
===================================================================
--- gnome/platform/libwnck.xml	(revision e130fead958f5d7008290ac27e33acab9ee62c67)
+++ gnome/platform/libwnck.xml	(revision 14861808d5fd664bade374fd4d0212788aee1180)
@@ -5,10 +5,10 @@
   %general-entities;
 
-  <!ENTITY libwnck-download-http "&gnome-download-http;/libwnck/&gnome-minor-24;/libwnck-&libwnck-version;.tar.xz">
-  <!ENTITY libwnck-download-ftp  "&gnome-download-ftp;/libwnck/&gnome-minor-24;/libwnck-&libwnck-version;.tar.xz">
-  <!ENTITY libwnck-md5sum        "23df51ec0a1169014fe3a102d572b244">
-  <!ENTITY libwnck-size          "804 KB">
-  <!ENTITY libwnck-buildsize     "13 MB">
-  <!ENTITY libwnck-time          "0.1 SBU">
+  <!ENTITY libwnck-download-http "&gnome-download-http;/libwnck/&gnome-minor-30;/libwnck-&libwnck-version;.tar.xz">
+  <!ENTITY libwnck-download-ftp  "&gnome-download-ftp;/libwnck/&gnome-minor-30;/libwnck-&libwnck-version;.tar.xz">
+  <!ENTITY libwnck-md5sum        "60109c2ab0b07da1099ee57980054de1">
+  <!ENTITY libwnck-size          "784 KB">
+  <!ENTITY libwnck-buildsize     "16 MB">
+  <!ENTITY libwnck-time          "0.2 SBU">
 ]>
 
Index: gnome/platform/tracker.xml
===================================================================
--- gnome/platform/tracker.xml	(revision e130fead958f5d7008290ac27e33acab9ee62c67)
+++ gnome/platform/tracker.xml	(revision 14861808d5fd664bade374fd4d0212788aee1180)
@@ -6,11 +6,11 @@
 
   <!ENTITY tracker-download-http
-           "&gnome-download-http;/tracker/2.0/tracker-&tracker-version;.tar.xz">
+           "&gnome-download-http;/tracker/2.1/tracker-&tracker-version;.tar.xz">
   <!ENTITY tracker-download-ftp
-           "&gnome-download-ftp;/tracker/2.0/tracker-&tracker-version;.tar.xz">
-  <!ENTITY tracker-md5sum        "ad1b14754828db76f3aeb47c9d03bb0a">
+           "&gnome-download-ftp;/tracker/2.1/tracker-&tracker-version;.tar.xz">
+  <!ENTITY tracker-md5sum        "848977cfa2e9c099b53522885eee031d">
   <!ENTITY tracker-size          "2.5 MB">
-  <!ENTITY tracker-buildsize     "124 MB (with tests)">
-  <!ENTITY tracker-time          "1.3 SBU (with tests)">
+  <!ENTITY tracker-buildsize     "122 MB (with tests)">
+  <!ENTITY tracker-time          "1.8 SBU (with tests)">
 ]>
 
@@ -118,5 +118,5 @@
 
     <para>
-      To test the results, issue: <command>make -k check</command>. Six tests
+      To test the results, issue: <command>make -k check</command>. Eight tests
       are known to error.
     </para>
@@ -187,5 +187,5 @@
         <listitem>
           <para>
-            library containing control and monitoring functions for miners.
+            contains control and monitoring functions for miners.
           </para>
           <indexterm zone="tracker libtracker-control">
@@ -199,5 +199,5 @@
         <listitem>
           <para>
-            library containing data minining functions.
+            contains data mining functions.
           </para>
           <indexterm zone="tracker libtracker-miner">
@@ -211,5 +211,5 @@
         <listitem>
           <para>
-            library containing resource management and database functions.
+            contains resource management and database functions.
           </para>
           <indexterm zone="tracker libtracker-sparql">
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision e130fead958f5d7008290ac27e33acab9ee62c67)
+++ introduction/welcome/changelog.xml	(revision 14861808d5fd664bade374fd4d0212788aee1180)
@@ -45,4 +45,28 @@
       <para>January 2nd, 2019</para>
       <itemizedlist>
+        <listitem revision="systemd">
+          <para>[renodr] - Update to gnome-backgrounds-3.30.0. Partially fixes
+          <ulink url="&blfs-ticket-root;11090">#11090</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to dconf-editor-3.30.2. Partially fixes
+          <ulink url="&blfs-ticket-root;11090">#11090</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to dconf-0.30.1. Partially fixes
+          <ulink url="&blfs-ticket-root;11090">#11090</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to Tracker-2.1.6. Partially fixes
+          <ulink url="&blfs-ticket-root;11090">#11090</ulink>.</para>
+        </listitem>
+        <listitem revision="systemd">
+          <para>[renodr] - Update to evolution-data-server-3.30.3. Partially
+          fixes <ulink url="&blfs-ticket-root;11090">#11090</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to libwnck-3.30.0. Partially fixes
+          <ulink url="&blfs-ticket-root;11090">#11090</ulink>.</para>
+        </listitem>
         <listitem>
           <para>[renodr] - Update to adwaita-icon-theme-3.30.1. Partially